package com.fjhx.account.entity.account.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class CapitalDailyDto {

    /**
     * 期间
     */
    @NotBlank(message = "范围期间不能为空")
    private String dateBetween;

    /**
     * 资金账号id
     * account模块 account_management表 id
     */
    private Long managementId;

    /**
     * 归属公司id
     * common模块 corporation表 id
     */
    private Long corporationId;

}
