package com.fjhx.account.entity.account.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 部门-资金流水关联表
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("account_dept_running_water")
public class AccountDeptRunningWater extends BasePo {



    /**
     * 资金流水表ID
     */
    private Long runningWaterId;

    /**
     * 是否分拆（10 未分拆，20 已分拆）
     */
    private String type;

}
