package com.fjhx.account.entity.account.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 账户-管理表
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("account_management")
public class AccountManagement extends BasePo {

    /**
     * 归属公司id（common模块corporation表id）
     */
    private Long corporationId;

    /**
     * 账户别名
     */
    private String alias;

    /**
     * 账户名
     */
    private String name;

    /**
     * 开户银行
     */
    private String openingBank;

    /**
     * 开户账号
     */
    private String accountOpening;

    /**
     * 联行号
     */
    private String interbankNumber;



    /**
     * 账户名称（外汇信息）
     */
    private String beneficiaryName;

    /**
     * 开户银行（外汇信息）
     */
    private String beneficiaryBank;

    /**
     * 开户银行地址（外汇信息）
     */
    private String beneficiaryBankAddress;

    /**
     * 账号（外汇信息）
     */
    private String beneficiaryAccountNumber;

    /**
     * 银行代码（外汇信息）
     */
    private String swiftCode;

    /**
     * 收款人地址（外汇信息）
     */
    private String beneficiaryAddress;





//    /**
//     * 云帆ID
//     */
//    private String yfId;
//
//    /**
//     * 云帆——归属公司id（common模块corporation表id）
//     */
//    private String yfCorporationId;
//
//    private String yfCreateUser;
//
//    private String yfUpdateUser;
//
//    private String tenantId;




}
