package com.fjhx.account.entity.account.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Getter
@Setter
public class CapitalDailyVo {

    /**
     * 归属公司id
     */
    private Long corporationId;

    /**
     * 归属公司名称
     */
    private String corporationName;

    /**
     * 账户信息
     */
    private List<Management> managementList;


    @Getter
    @Setter
    public static class Management {

        /**
         * 账户id
         */
        private Long accountManagementId;

        /**
         * 账户名称
         */
        private String accountManagementAlias;

        /**
         * 货币
         */
        private List<Currency> currencyList;

    }

    @Getter
    @Setter
    public static class Currency {

        /**
         * 货币类型（币种）
         */
        private String currencyType;

        /**
         * 记录
         */
        private List<Map<String, Object>> flowingWaterList;

    }

}
