package com.fjhx.account.mapper.account;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.account.entity.account.po.AccountPayment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountPaymentVo;
import com.fjhx.account.entity.account.vo.AccountRequestFundsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 打款表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
public interface AccountPaymentMapper extends BaseMapper<AccountPayment> {

    /**
     * 打款表分页
     */
    Page<AccountPaymentVo> getPage(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<Object> wrapper);

    /**
     * 查询打款详情
     * @param id
     * @return
     */
    AccountPayment detail(Long id);
}
