package com.fjhx.account.mapper.account;

import com.fjhx.account.entity.account.po.AccountRemainder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountRemainderVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 账户-余额表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface AccountRemainderMapper extends BaseMapper<AccountRemainder> {

    /**
     * 账户-余额表分页
     */
    Page<AccountRemainderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AccountRemainder> wrapper);

}
