package com.fjhx.account.mapper.account;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.account.entity.account.po.AccountRunningWater;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountRunningWaterVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 账户资金流水表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
public interface AccountRunningWaterMapper extends BaseMapper<AccountRunningWater> {

    /**
     * 账户资金流水表分页
     */
    Page<AccountRunningWaterVo> getPage(@Param("page") Page<Object> page, @Param("ew")QueryWrapper<Object> wrapper);

    /**
     * 查询至今账户详情
     * @param id
     * @return
     */
    AccountRunningWaterVo getDetail(Long id);

    /**
     * 账户资金流水表分页
     */
    List<AccountRunningWaterVo> getList(@Param("ew") QueryWrapper<Object> wrapper);
}
