package com.fjhx.common.entity.coding.dto;

import com.fjhx.common.enums.RuleTypeEnum;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DefaultRule {

    /**
     * 编码规则
     */
    private RuleTypeEnum ruleTypeEnum;

    /**
     * 值
     */
    private String value;

    public DefaultRule(RuleTypeEnum ruleTypeEnum) {
        this.ruleTypeEnum = ruleTypeEnum;
    }

    public DefaultRule(RuleTypeEnum ruleTypeEnum, String value) {
        this.ruleTypeEnum = ruleTypeEnum;
        this.value = value;
    }

}
