package com.fjhx.common.entity.coding.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 编码规则
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("coding_rule")
public class CodingRule extends BasePo {

    /**
     * 规则key
     */
    private String codingKey;

    /**
     * 功能名称
     */
    private String codingName;

    /**
     * demo
     */
    private String codingDemo;

    /**
     * 规则json
     */
    private String ruleJson;

}
