package com.fjhx.common.entity.coding.vo;

import com.fjhx.common.entity.coding.dto.RuleVo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 编码规则列表查询返回值实体
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
public class CodingRulePageVo {

    /**
     * 编码规则id
     */
    private Long id;

    /**
     * 规则key
     */
    private String codingKey;

    /**
     * 功能名称
     */
    private String codingName;

    /**
     * demo
     */
    private String codingDemo;

    /**
     * 编码配置规则
     */
    private List<RuleVo> ruleVoList;

    /**
     * 更新人
     */
    private Long updateUser;

    /**
     * 更新人名称
     */
    private String updateUserName;

    /**
     * 更新时间
     */
    private Date updateTime;

}
