package com.fjhx.common.mapper.documentary;

import com.fjhx.common.entity.documentary.po.Documentary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.documentary.vo.DocumentaryVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 跟单配置 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface DocumentaryMapper extends BaseMapper<Documentary> {

    /**
     * 跟单配置分页
     */
    Page<DocumentaryVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Documentary> wrapper);

}
