package com.fjhx.common.mapper.problem;

import com.fjhx.common.entity.problem.po.ProblemFeedback;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.problem.vo.ProblemFeedbackVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 问题反馈 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-04
 */
public interface ProblemFeedbackMapper extends BaseMapper<ProblemFeedback> {

    /**
     * 问题反馈分页
     */
    Page<ProblemFeedbackVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProblemFeedback> wrapper);

}
