package com.fjhx.common.service.problem;

import com.fjhx.common.entity.problem.po.ProblemFeedback;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.problem.vo.ProblemFeedbackVo;
import com.fjhx.common.entity.problem.dto.ProblemFeedbackSelectDto;
import com.fjhx.common.entity.problem.dto.ProblemFeedbackDto;


/**
 * <p>
 * 问题反馈 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-04
 */
public interface ProblemFeedbackService extends BaseService<ProblemFeedback> {

    /**
     * 问题反馈分页
     */
    Page<ProblemFeedbackVo> getPage(ProblemFeedbackSelectDto dto);

    /**
     * 问题反馈明细
     */
    ProblemFeedbackVo detail(Long id);

    /**
     * 问题反馈新增
     */
    void add(ProblemFeedbackDto problemFeedbackDto);

    /**
     * 问题反馈编辑
     */
    void edit(ProblemFeedbackDto problemFeedbackDto);

}
