package com.fjhx.data.entity.classify;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 产品分类
 * </p>
 *
 * @author zlj
 * @since 2023-03-15
 */
@Getter
@Setter
@TableName("product_classify")
public class ProductClassify extends BasePo {

    /**
     * 定义 1产品 2物料
     */
    @NotNull(message = "定义不能为空")
    private Integer definition;

    /**
     * 父级分类id
     */
    private Long parentId;

    /**
     * 父级分类id集合，用,拼接
     */
    private String parentIdSet;

    /**
     * 分类名称
     */
    private String name;

    private String yunfanParentId;

    private String yunfanId;

    private String cu;

    private String uu;

}
