package com.fjhx.ehsd.mapper.freight;

import com.fjhx.ehsd.entity.freight.po.FreightForwarder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.ehsd.entity.freight.vo.FreightForwarderVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 货代公司管理 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface FreightForwarderMapper extends BaseMapper<FreightForwarder> {

    /**
     * 货代公司管理分页
     */
    Page<FreightForwarderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<FreightForwarder> wrapper);

}
