package com.fjhx.iot.entity.tda.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

@Getter
@Setter
public class EbcDto extends BaseDtaBodyDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private Parameter parameter;
    private Control control;
    private Status status;

    @Getter
    @Setter
    public static class Parameter {
        private String dec_rat;
        private String axis_interlen_8;
        private String bumi;
        private String axis_allnum_8;
        private String axis_allnum_6;
        private String axis_allnum_7;
        private String axis_allnum_4;
        private String axis_allnum_5;
        private String axis_allnum_2;
        private String axis_allnum_3;
        private String axis_F_8;
        private String luola_rat;
        private String axis_F_7;
        private String axis_allnum_1;
        private String add_speed;
        private String juanbu_weitiao;
        private String axis_interlen_1;
        private String input_mac;
        private String axis_interlen_3;
        private String axis_interlen_2;
        private String axis_interlen_5;
        private String axis_interlen_4;
        private String axis_interlen_7;
        private String max_bulen;
        private String axis_interlen_6;
        private String input_xor;
        private String juanbu_len;
        private String axis_F_2;
        private String axis_outsidelen_4;
        private String axis_F_1;
        private String axis_outsidelen_3;
        private String axis_outsidelen_2;
        private String axis_outsidelen_1;
        private String axis_F_6;
        private String axis_outsidelen_8;
        private String axis_F_5;
        private String axis_outsidelen_7;
        private String axis_F_4;
        private String axis_outsidelen_6;
        private String juanbu_rat;
        private String axis_F_3;
        private String axis_outsidelen_5;
        private String min_leftnum;
        private String luola_len;
    }

    @Getter
    @Setter
    public static class Control {
        private String wei_sta_6;
        private String wei_sta_5;
        private String wei_sta_4;
        private String wei_sta_3;
        private String wei_sta_9;
        private String wei_sta_8;
        private String wei_sta_7;
        private String wei_sta_2;
        private String wei_sta_16;
        private String wei_sta_1;
        private String wei_sta_17;
        private String wei_sta_12;
        private String wei_sta_13;
        private String wei_sta_14;
        private String wei_sta_15;
        private String wei_sta_10;
        private String wei_sta_11;
    }

    @Getter
    @Setter
    public static class Status {
        private String curr_sel;
        private String curr_len_6;
        private String curr_len_5;
        private String curr_len_4;
        private String curr_len_3;
        private String curr_len_2;
        private String stop_time_1;
        private String curr_len_1;
        private String stop_time_2;
        private String stop_time_3;
        private String stop_time_4;
        private String sifu_sta_8;
        private String sifu_sta_7;
        private String sifu_sta_6;
        private String sifu_sta_5;
        private String sifu_sta_4;
        private String sifu_sta_3;
        private String sifu_sta_2;
        private String sifu_sta_1;
        private String curr_num_8;
        private String curr_num_7;
        private String curr_num_6;
        private String curr_num_1;
        private String curr_num_5;
        private String curr_num_4;
        private String sys_display;
        private String curr_num_3;
        private String curr_num_2;
        private String hengyi;
        private String sifu_sta_10;
        private String all_bantime_3;
        private String all_bantime_4;
        private String all_bantime_1;
        private String all_bantime_2;
        private String ban_time_1;
        private String sys_sta;
        private String stop_times_3;
        private String all_stoptime_3;
        private String stop_times_2;
        private String all_stoptime_2;
        private String stop_times_4;
        private String all_stoptime_4;
        private String stop_times_1;
        private String all_stoptimes_3;
        private String all_stoptimes_4;
        private String all_stoptimes_1;
        private String all_stoptimes_2;
        private String ban_time_3;
        private String ban_time_2;
        private String ban_time_4;
        private String jiaka;
        private String main_speed;
        private String left_time_8;
        private String left_time_6;
        private String left_time_7;
        private String left_time_4;
        private String left_time_5;
        private String left_time_2;
        private String left_time_3;
        private String sifu_sta_9;
        private String left_time_1;
        private String bu_len;
        private String ban_len_4;
        private String curr_len_8;
        private String ban_len_3;
        private String all_stoptime_1;
        private String curr_len_7;
        private String ban_len_2;
        private String ban_len_1;
    }

}
