package com.fjhx.iot.entity.tda.dto;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

import java.util.Date;

@Data
public class UpperComputerData {

    /**
     * 设备编号
     */
    private String equipmentNo;

    /**
     * 设备ip地址
     */
    private String ipAddress;

    /**
     * 设备端口号
     */
    private Integer port;

    /**
     * 设备类型
     */
    private Integer type;

    /**
     * 其他配置
     */
    private JSONObject other;

    /**
     * 记录时间
     */
    private Date createTime;

    /**
     * 生成数据
     */
    private Object data;

}
