package com.fjhx.iot.entity.tda.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 行业管理
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
@Getter
@Setter
@TableName("tda_application")
public class TdaApplication extends BasePo {

    /**
     * iot配置id
     */
    private Long tdaConfigId;

    /**
     * AppId
     */
    private String appId;

    /**
     * 行业名称
     */
    private String appName;

    /**
     * 备注
     */
    private String remark;

}
