package com.fjhx.iot.mapper.tda;

import com.fjhx.iot.entity.tda.po.TdaConfig;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.iot.entity.tda.vo.TdaConfigVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * iot配置 Mapper 接口
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
public interface TdaConfigMapper extends BaseMapper<TdaConfig> {

    /**
     * iot配置分页
     */
    Page<TdaConfigVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<TdaConfig> wrapper);

}
