package com.fjhx.item.entity.product.po;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class ProductInfoEhsdExcel {
    /**
     * 产品分类id
     */
    private Long productClassifyId;
    @ExcelProperty("产品分类名称")
    private String productClassifyName;
    @ExcelProperty("产品名称")
    private String name;
    @ExcelProperty("产品英文名")
    private String nameEnglish;
    @ExcelProperty("单位")
    private String unit;
    @ExcelProperty("销售指导价")
    private BigDecimal price;
    @ExcelProperty("成本价")
    private BigDecimal costPrice;
    @ExcelProperty("规格型号")
    private String spec;
    @ExcelProperty("产品尺寸长")
    private String productLong;
    @ExcelProperty("产品尺寸宽")
    private String productWide;
    @ExcelProperty("产品尺寸高")
    private String productHigh;
    @ExcelProperty("内包装方式-英文逗号分隔")
    private String innerPackMethod;
    @ExcelProperty("外包装方式-英文逗号分隔")
    private String outerPackMethod;
    @ExcelProperty("净重")
    private Double netWeight;
    @ExcelProperty("海关编码")
    private String hsCode;
    @ExcelProperty("备注")
    private String remark;
}
