package com.fjhx.item.mapper.product;

import com.fjhx.item.entity.product.po.ProductSpu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.item.entity.product.vo.ProductSpuVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 产品spu Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface ProductSpuMapper extends BaseMapper<ProductSpu> {

    /**
     * 产品spu分页
     */
    Page<ProductSpuVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductSpu> wrapper);

}
