package com.fjhx.jxst.entity.sales.vo;

import com.fjhx.jxst.entity.sales.po.SalesContract;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 销售合同列表查询返回值实体
 *
 * @author
 * @since 2023-05-16
 */
@Getter
@Setter
public class SalesContractVo extends SalesContract {

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 销售合同明细
     */
    private List<SalesContractDetailsVo> contractDetailsList;

}
