package com.fjhx.mail.controller.my;

import com.fjhx.customer.entity.customer.po.Customer;
import com.fjhx.mail.service.my.MyCustomerService;
import com.ruoyi.common.utils.SecurityUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 我的客户
 */
@RestController
@RequestMapping("/myCustomer")
public class MyCustomerController {

    @Autowired
    private MyCustomerService myCustomerService;

    @PostMapping("/list")
    public List<Customer> list() {
        return myCustomerService.getList(SecurityUtils.getUserId());
    }

}
