package com.fjhx.mail.entity.message.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class DeleteBatchMailDto {

    /**
     * 1个人邮箱 2企业邮箱
     */
    @NotNull(message = "类型不能为空")
    private Integer type;

    @NotEmpty(message = "邮件id不能为空")
    private List<Long> idList;

}
