package com.fjhx.mail.entity.my.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class MyFolderMessageAddBathDto {

    /**
     * 我的文件夹id
     */
    @NotNull(message = "我的文件夹id不能为空")
    private Long myFolderId;

    /**
     * 邮件id列表
     */
    @NotEmpty(message = "邮件id列表不能为空")
    private List<Long> messageIdList;

}
