package com.fjhx.mail.entity.my.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * 我的文件夹关联邮件列表查询入参实体
 *
 * @author
 * @since 2023-05-29
 */
@Getter
@Setter
public class MyFolderMessageSelectDto extends BaseSelectDto {

    /**
     * 我的文件夹id
     */
    @NotNull(message = "我的文件夹id不能为空")
    private Long myFolderId;

    /**
     * 类型
     */
    @NotNull(message = "类型不能为空")
    private Integer type;

}
