package com.fjhx.mail.entity.my.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

/**
 * <p>
 * 联系人
 * </p>
 *
 * @author
 * @since 2023-06-09
 */
@Getter
@Setter
@TableName("my_contact_person")
public class MyContactPerson extends BasePo {

    /**
     * 联系人名称
     */
    @NotEmpty(message = "联系人名称不能为空")
    private String name;

    /**
     * 联系人邮箱集合
     */
    @NotEmpty(message = "联系人邮箱不能为空")
    private String mailSet;

}
