package com.fjhx.mail.entity.my.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 我的文件夹关联邮件
 * </p>
 *
 * @author 
 * @since 2023-05-29
 */
@Getter
@Setter
@TableName("my_folder_message")
public class MyFolderMessage extends BasePo {

    /**
     * 我的文件夹id
     */
    @NotNull(message = "我的文件夹id不能为空")
    private Long myFolderId;

    /**
     * 邮件id
     */
    @NotNull(message = "邮件id不能为空")
    private Long messageId;

}
