package com.fjhx.mail.entity.my.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * <p>
 * 我的标签
 * </p>
 *
 * @author 
 * @since 2023-05-29
 */
@Getter
@Setter
@TableName("my_tag")
public class MyTag extends BasePo {

    /**
     * 类型 1个人邮箱 2企业邮箱
     */
    @NotNull(message = "类型不能为空")
    private Integer type;

    /**
     * 邮箱id
     */
    @NotNull(message = "邮箱id不能为空")
    private Long mailboxId;

    /**
     * 标签名称
     */
    @NotBlank(message = "标签名称不能为空")
    private String name;

}
