package com.fjhx.mail.entity.personal.po;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 个人邮箱文件夹
 * </p>
 *
 * @author
 * @since 2023-04-07
 */
@Getter
@Setter
@TableName("personal_folder")
public class PersonalFolder extends BaseIdPo {

    /**
     * 邮箱id
     */
    private Long mailboxId;

    /**
     * 文件夹名称
     */
    private String name;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

}
