package com.fjhx.mail.service.enterprise;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.enterprise.dto.EnterpriseMailboxDto;
import com.fjhx.mail.entity.enterprise.dto.EnterpriseMailboxSelectDto;
import com.fjhx.mail.entity.enterprise.po.EnterpriseMailbox;
import com.fjhx.mail.entity.enterprise.vo.EnterpriseMailboxVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 企业邮箱 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface EnterpriseMailboxService extends BaseService<EnterpriseMailbox> {

    /**
     * 企业邮箱分页
     */
    Page<EnterpriseMailboxVo> getPage(EnterpriseMailboxSelectDto dto);

    /**
     * 企业邮箱明细
     */
    EnterpriseMailboxVo detail(Long id);

    /**
     * 企业邮箱新增
     */
    JSONObject add(EnterpriseMailboxDto enterpriseMailboxDto);

    /**
     * 企业邮箱编辑
     */
    void edit(EnterpriseMailboxDto enterpriseMailboxDto);

    /**
     * 企业邮箱删除
     */
    void delete(Long id);

}
