package com.fjhx.mes.entity.bom.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * bom
 * </p>
 *
 * @author
 * @since 2023-03-29
 */
@Getter
@Setter
@TableName("bom_info")
public class BomInfo extends BasePo {

    /**
     * 产品id item模块product_info表id
     */
    @NotNull(message = "产品id不能为空")
    private Long productId;

    /**
     * 状态 1启用 0禁用
     */
    private Integer status;

    /**
     * 版本号
     */
    private Integer versionNumber;

    /**
     * 是否当前版本 1是 0否
     */
    private Integer currentVersion;

}
