package com.fjhx.mes.entity.completion.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fjhx.mes.entity.completion.po.CompletionInfo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 完工入库列表查询返回值实体
 *
 * @author
 * @since 2023-03-31
 */
@Getter
@Setter
public class CompletionInfoVo extends CompletionInfo {

    /**
     * 产品名
     */
    private String productName;

    /**
     * 生产任务编号
     */
    private String productionTaskCode;
    /**
     * 生产任务数量
     */
    private BigDecimal productionTaskQuantity;
    /**
     * 生产任务负责人
     */
    private String personLiableName;
    /**
     * 生产任务期限
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date productionTaskDueDate;

}
