package com.fjhx.mes.entity.production.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 工序
 * </p>
 *
 * @author 
 * @since 2023-03-28
 */
@Getter
@Setter
@TableName("production_processes")
public class ProductionProcesses extends BasePo {

    /**
     * 工序名称
     */
    private String name;

    /**
     * 工序说明
     */
    private String remarks;

    /**
     * 工序文件名
     */
    private String fileName;

}
