package com.fjhx.mes.entity.production.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 生产报工明细
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
@Getter
@Setter
@TableName("production_reporting_detail")
public class ProductionReportingDetail extends BasePo {

    /**
     * 生产报工id
     */
    private Long productionReportingId;

    /**
     * 工序id
     */
    private Long productionProcessesId;

    /**
     * 报工姓名
     */
    private String name;

    /**
     * 报工数量
     */
    private Long quantity;

}
