package com.fjhx.mes.entity.work.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 工单
 * </p>
 *
 * @author 
 * @since 2023-03-29
 */
@Getter
@Setter
@TableName("work_order")
public class WorkOrder extends BasePo {


    /**
     * 工单编号
     */
    private String code;

    /**
     * 工单来源Id
     */
    private Long sourceId;

    /**
     * 工单来源
     */
    private String source;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 工单数量
     */
    private BigDecimal quantity;

    /**
     * 说明
     */
    private String remarks;

    /**
     * 工单状态
     */
    private Integer status;

    /**
     * 是否定制
     */
    private String isCustomized;

}
