package com.fjhx.mes.entity.work.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 工单bom
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
@TableName("work_order_bom")
public class WorkOrderBom extends BasePo {

    /**
     * 工单id
     */
    private Long workOrderId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 成本
     */
    private BigDecimal cost;

}
