package com.fjhx.mes.entity.work.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 工单工序
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
@TableName("work_order_production_processes")
public class WorkOrderProductionProcesses extends BasePo {

    /**
     * 工单id
     */
    private Long workOrderId;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 工序名称
     */
    private String name;

    /**
     * 工序说明
     */
    private String remarks;

    /**
     * 工序文件名
     */
    private String fileName;

}
