package com.fjhx.mes.mapper.bom;

import com.fjhx.mes.entity.bom.po.BomInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.bom.vo.BomInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * bom Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-29
 */
public interface BomInfoMapper extends BaseMapper<BomInfo> {

    /**
     * bom分页
     */
    Page<BomInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<BomInfo> wrapper);

}
