package com.fjhx.mes.mapper.completion;

import com.fjhx.mes.entity.completion.po.CompletionInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.completion.vo.CompletionInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 完工入库 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-31
 */
public interface CompletionInfoMapper extends BaseMapper<CompletionInfo> {

    /**
     * 完工入库分页
     */
    Page<CompletionInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CompletionInfo> wrapper);

}
