package com.fjhx.mes.mapper.production;

import com.fjhx.mes.entity.production.po.ProductionReporting;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionReportingVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 生产报工 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface ProductionReportingMapper extends BaseMapper<ProductionReporting> {

    /**
     * 生产报工分页
     */
    Page<ProductionReportingVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionReporting> wrapper);

    /**生产报工明细*/
    ProductionReportingVo detail(@Param("id") Long id);

}
