package com.fjhx.mes.mapper.production;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.mes.entity.production.po.ProductionTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionTaskVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 生产任务 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface ProductionTaskMapper extends BaseMapper<ProductionTask> {

    /**
     * 生产任务分页
     */
    Page<ProductionTaskVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionTask> wrapper);

    ProductionTaskVo detail(@Param("id") Long id);
    List<ProductionTaskVo> myListByIds(@Param("ew") QueryWrapper<ProductionTask> wrapper);
}
