package com.fjhx.mes.mapper.workshop;

import com.fjhx.mes.entity.workshop.po.Workshop;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.workshop.vo.WorkshopVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 车间 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-23
 */
public interface WorkshopMapper extends BaseMapper<Workshop> {

    /**
     * 车间分页
     */
    Page<WorkshopVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Workshop> wrapper);

}
