package com.fjhx.mes.service.production;

import com.fjhx.mes.entity.production.po.ProductionReporting;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionReportingVo;
import com.fjhx.mes.entity.production.dto.ProductionReportingSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionReportingDto;


/**
 * <p>
 * 生产报工 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface ProductionReportingService extends BaseService<ProductionReporting> {

    /**
     * 生产报工分页
     */
    Page<ProductionReportingVo> getPage(ProductionReportingSelectDto dto);

    /**
     * 生产报工明细
     */
    ProductionReportingVo detail(Long id);

    /**
     * 生产报工新增
     */
    void add(ProductionReportingDto productionReportingDto);

    /**
     * 生产报工编辑
     */
    void edit(ProductionReportingDto productionReportingDto);

    /**
     * 生产报工删除
     */
    void delete(Long id);

}
