package com.fjhx.oa.entity.daily.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.oa.entity.daily.po.DailyReport;
import com.fjhx.oa.entity.daily.po.DailyReportDetails;
import com.fjhx.oa.entity.daily.vo.DailyReportDetailsVo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 日报新增编辑入参实体
 *
 * @author 
 * @since 2023-04-04
 */
@Getter
@Setter
public class DailyReportDto extends DailyReport {

    /**图片列表*/
    private List<ObsFile> imgList;

    /**附件列表*/
    private List<ObsFile> attachmentList;

    /**接收人列表*/
    private List<DailyReportDetails> dailyReportDetailsList;

    private List<Long> toUserId;

}
