package com.fjhx.oa.entity.daily.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 日报
 * </p>
 *
 * @author 
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("daily_report")
public class DailyReport extends BasePo {

    /**
     * 已完成的工作
     */
    private String completedWork;

    /**
     * 待完成的工作
     */
    private String unfinishedWork;

    /**
     * 需要协调的工作
     */
    private String coordinatedWork;

    /**
     * 是否仅接收人可见,不可转发
     */
    private Integer isVisibleToRecipient;

}
