package com.fjhx.oa.entity.daily.vo;

import com.fjhx.oa.entity.daily.po.DailyReport;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 日报列表查询返回值实体
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
public class DailyReportVo extends DailyReport {

    /**
     * 用户名
     */
    private String userName;

    /**
     * 已读数量
     */
    private Integer readCount;

    /**
     * 是否已读
     */
    private Integer isRead;

    /**
     * 我发送日报数量
     */
    private Long quantitySent;

    /**
     * 我接收日报数量
     */
    private Long receivedQuantity;

    /**
     * 今日发送日报的数量
     */
    private Long quantitySentToday;

    /**
     * 周几
     */
    private Integer week;

    /**
     * 创建日期
     */
    private String date;

    /**
     * 接收人列表
     */
    private List<DailyReportDetailsVo> detailsList;

}
