package com.fjhx.oa.mapper.internal;

import com.fjhx.oa.entity.internal.po.InternalAddressBook;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.internal.vo.InternalAddressBookVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 内部通讯录 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-04
 */
public interface InternalAddressBookMapper extends BaseMapper<InternalAddressBook> {

    /**
     * 内部通讯录分页
     */
    Page<InternalAddressBookVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InternalAddressBook> wrapper);

}
