package com.fjhx.oa.mapper.netdisk;

import com.fjhx.oa.entity.netdisk.po.Netdisk;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.netdisk.vo.NetdiskVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 网盘 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-07
 */
public interface NetdiskMapper extends BaseMapper<Netdisk> {

    /**
     * 网盘分页
     */
    Page<NetdiskVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Netdisk> wrapper);

}
