package com.fjhx.purchase.controller.purchase;

import org.springframework.web.bind.annotation.*;
import com.fjhx.purchase.entity.purchase.dto.PurchasePayRecordDto;
import com.fjhx.purchase.service.purchase.PurchasePayRecordService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 采购付款记录 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-05-24
 */
@RestController
@RequestMapping("/purchasePayRecord")
public class PurchasePayRecordController {

    @Autowired
    private PurchasePayRecordService purchasePayRecordService;

    /**
     * 采购付款记录新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchasePayRecordDto purchasePayRecordDto) {
        purchasePayRecordService.add(purchasePayRecordDto);
    }

}
