package com.fjhx.purchase.entity.pay.vo;

import com.fjhx.purchase.entity.pay.po.PayDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购付款明细列表查询返回值实体
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
public class PayDetailVo extends PayDetail {

    /**
     * 已付款金额
     */
    private BigDecimal sumMoney;

    /**
     * 采购合同编码
     */
    private String purchaseCode;

    /**
     * 采购合同金额
     */
    private BigDecimal purchaseAmount;

    /**
     * 已收发票金额
     */
    private BigDecimal invoiceAmount;

}
