package com.fjhx.purchase.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购其他费用
 * </p>
 *
 * @author
 * @since 2023-06-09
 */
@Getter
@Setter
@TableName("purchase_other_fee")
public class PurchaseOtherFee extends BasePo {

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 费用名称
     */
    private String name;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 说明
     */
    private String remark;

}
