package com.fjhx.purchase.entity.purchase.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 采购付款记录
 * </p>
 *
 * @author 
 * @since 2023-05-24
 */
@Getter
@Setter
@TableName("purchase_pay_record")
public class PurchasePayRecord extends BasePo {

    /**
     * 付款金额
     */
    private BigDecimal amount;

    /**
     * 付款时间
     */
    private Date payDate;

}
