package com.fjhx.purchase.entity.quality.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import java.util.Date;
import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("quality")
public class Quality extends BasePo {

    /**
     * 质检单编码
     */
    private String code;

    /**
     * 供应商ID
     */
    private Long supplyId;

    /**
     * 到货单ID
     */
    private Long arrivalId;

    /**
     * 状态 备用字段
     */
    private Integer status;

    /**
     * 质检明细
     */
    @TableField(exist = false)
    private List<QualityDetail> qualityDetailList;

}
