package com.fjhx.purchase.entity.quality.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检明细单
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("quality_detail")
public class QualityDetail extends BasePo {

    /**
     * 关联ID  产品ID/货品ID
     */
    private Long bussinessId;

    /**
     * 到货明细ID
     */
    private Long arrivalDetailId;

    /**
     * 质检主表ID
     */
    private Long qualityId;

    /**
     * 状态--备用
     */
    private Integer status;

    /**
     * 合格数量
     */
    private BigDecimal qualifiedCount;

    /**
     * 不合格数量
     */
    private BigDecimal noQualifiedCount;

    /**
     * 备注
     */
    private String remark;

}
