package com.fjhx.purchase.entity.refund.vo;

import com.fjhx.purchase.entity.refund.po.Refund;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 退款管理列表查询返回值实体
 *
 * @author 
 * @since 2023-04-13
 */
@Getter
@Setter
public class RefundVo extends Refund {

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 已退款金额
     */
    private BigDecimal sumRefundMoney;
}
