package com.fjhx.purchase.entity.sales.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 到货明细单
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("sales_return_detail")
public class SalesReturnDetail extends BasePo {

    /**
     * 关联ID  产品ID/货品ID
     */
    private Long bussinessId;

    /**
     * 退货主表ID
     */
    private Long salesReturnId;

    /**
     * 到货数量
     */
    private BigDecimal count;

    /**
     * 状态 --备用
     */
    private Integer status;

    /**
     * 退货原因
     */
    private String remark;

    /**
     * 维多利亚扩展
     */
    private String victoriatouristJson;

}
