package com.fjhx.purchase.mapper.invoice;

import com.fjhx.purchase.entity.invoice.po.Invoice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.invoice.vo.InvoiceVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 发票管理 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-12
 */
public interface InvoiceMapper extends BaseMapper<Invoice> {

    /**
     * 发票管理分页
     */
    Page<InvoiceVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Invoice> wrapper);

}
