package com.fjhx.purchase.mapper.quality;

import com.fjhx.purchase.entity.quality.po.Quality;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.quality.vo.QualityVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 质检 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface QualityMapper extends BaseMapper<Quality> {

    /**
     * 质检分页
     */
    Page<QualityVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Quality> wrapper);

}
