package com.fjhx.purchase.mapper.refund;

import com.fjhx.purchase.entity.refund.po.RefundDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.refund.vo.RefundDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 退款明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface RefundDetailMapper extends BaseMapper<RefundDetail> {

    /**
     * 退款明细分页
     */
    Page<RefundDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<RefundDetail> wrapper);

}
