package com.fjhx.purchase.mapper.refund;

import com.fjhx.purchase.entity.refund.po.Refund;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.refund.vo.RefundVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 退款管理 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface RefundMapper extends BaseMapper<Refund> {

    /**
     * 退款管理分页
     */
    Page<RefundVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Refund> wrapper);

}
