package com.fjhx.purchase.mapper.sales;

import com.fjhx.purchase.entity.sales.po.SalesReturnDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.sales.vo.SalesReturnDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 到货明细单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
public interface SalesReturnDetailMapper extends BaseMapper<SalesReturnDetail> {

    /**
     * 到货明细单分页
     */
    Page<SalesReturnDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SalesReturnDetail> wrapper);

}
