package com.fjhx.sale.controller.commission;

import com.fjhx.sale.entity.commission.po.CommissionRule;
import com.fjhx.sale.entity.commission.vo.CommissionVo;
import com.fjhx.sale.service.commission.CommissionRuleService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * <p>
 * 业绩提成规则表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-05-11
 */
@RestController
@RequestMapping("/commissionRule")
public class CommissionRuleController {
    @Autowired
    private CommissionRuleService commissionRuleService;

    /**
     * 业绩提成表明细
     */
    @PostMapping("/detail")
    public CommissionRule detail(@RequestBody BaseSelectDto dto) {
        return commissionRuleService.detail(dto.getId());
    }

}
