package com.fjhx.sale.controller.documents;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsProductVo;
import com.fjhx.sale.entity.documents.dto.DocumentsProductSelectDto;
import com.fjhx.sale.service.documents.DocumentsProductService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 单证-产品表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
@RestController
@RequestMapping("/documentsProduct")
public class DocumentsProductController {

    @Autowired
    private DocumentsProductService documentsProductService;

    /**
     * 单证-产品表分页
     */
    @PostMapping("/page")
    public Page<DocumentsProductVo> page(@RequestBody DocumentsProductSelectDto dto) {
        return documentsProductService.getPage(dto);
    }

}
