package com.fjhx.sale.controller.serviceContract;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.serviceContract.vo.ServiceContractProductVo;
import com.fjhx.sale.entity.serviceContract.dto.ServiceContractProductSelectDto;
import com.fjhx.sale.service.serviceContract.ServiceContractProductService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 服务合同-报价单关联表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
@RestController
@RequestMapping("/serviceContractProduct")
public class ServiceContractProductController {

    @Autowired
    private ServiceContractProductService serviceContractProductService;

    /**
     * 服务合同-报价单关联表分页
     */
    @PostMapping("/page")
    public Page<ServiceContractProductVo> page(@RequestBody ServiceContractProductSelectDto dto) {
        return serviceContractProductService.getPage(dto);
    }

}
