package com.fjhx.sale.entity.commission.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 业绩提成规则表
 * </p>
 *
 * @author
 * @since 2023-05-11
 */
@Getter
@Setter
@TableName("commission_rule")
public class CommissionRule extends BasePo {

    /**
     * 业绩提成表ID
     */
    private Long commissionId;


    /**
     * 售后占比
     */
    private BigDecimal afterSalesRatio;

    /**
     * 公共占比
     */
    private BigDecimal publicRatio;

    /**
     * 总办占比
     */
    private BigDecimal haveOverallRatio;

    /**
     * 部门占比
     */
    private BigDecimal departmentalRatio;

    /**
     * 个人占比
     */
    private BigDecimal personalRatio;

}
