package com.fjhx.sale.entity.contract.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 外销合同-收费项目
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
@TableName("contract_project")
public class ContractProject extends BasePo {

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 收费项目

     */
    private String payName;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

}
