package com.fjhx.sale.entity.contract.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 外销合同-出货计划
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
@TableName("contract_shipment")
public class ContractShipment extends BasePo {

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 出货日期
     */
    private Date shipmentTime;

    /**
     * 出货数量
     */
    private BigDecimal quantity;

    /**
     * 备注
     */
    private String remark;

}
