package com.fjhx.sale.entity.contract.vo;

import com.fjhx.common.entity.documentary.bo.DocumentaryData;
import com.fjhx.common.entity.documentary.vo.DocumentaryRecordVo;
import com.fjhx.sale.entity.contract.po.Contract;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Getter
@Setter
public class ContractDocumentaryVo extends Contract implements DocumentaryData {

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 跟单记录
     */
    private Map<Long, List<DocumentaryRecordVo>> documentaryRecord;

}
