package com.fjhx.sale.entity.documents.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 单证PDF数据存放表
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
@Getter
@Setter
@TableName("documents_pdf")
public class DocumentsPdf extends BasePo {

    /**
     * 单证ID
     */
    private Long documentId;

    /**
     * 合同号
     */
    private String contractCode;

    /**
     * 数据类型：1、报关单
     */
    private Integer dataType;

    /**
     * 内容
     */
    private String content;

}
