package com.fjhx.sale.entity.pack.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 自定义装箱货物表
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("pack_detail_goods")
public class PackDetailGoods extends BasePo {

    /**
     * 装箱单ID
     */
    private Long packDetailId;

    /**
     * 装箱数量
     */
    private BigDecimal quantity;

    /**
     * 单位
     */
    private String unit;

    /**
     * 备注
     */
    private String remark;

}
