package com.fjhx.sale.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购合同-收费项目
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
@TableName("ehsd_purchase_project")
public class EhsdPurchaseProject extends BasePo {

    /**
     * 采购单ID
     */
    private Long purchaseId;

    /**
     * 收费项目

     */
    private String payName;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

}
