package com.fjhx.sale.entity.quality.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检纸箱表
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
@Getter
@Setter
@TableName("ehsd_quality_cartons")
public class EhsdQualityCartons extends BasePo {

    /**
     * 质检单ID
     */
    private Long qualityId;

    /**
     * 商品
     */
    private String item;

    /**
     * 箱号
     */
    private BigDecimal cartonNumber;

    /**
     * 总数
     */
    private BigDecimal total;

    /**
     * 问题备注
     */
    private String remark;

}
