package com.fjhx.sale.entity.quality.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检---产品包装明细表
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
@Getter
@Setter
@TableName("ehsd_quality_pack")
public class EhsdQualityPack extends BasePo {

    /**
     * 质检单ID
     */
    private Long qualityId;

    /**
     * 商品编号
     */
    private String itemNo;

    /**
     * 箱子规格
     */
    private BigDecimal cartonSpec;

    /**
     * 箱子-实际
     */
    private BigDecimal cartonActual;

    /**
     * 箱子大小规格
     */
    private BigDecimal cartonSizeSpec;

    /**
     * 箱子大小-实际
     */
    private BigDecimal cartonSizeActual;

    /**
     * 毛重-规格
     */
    private BigDecimal grossWeightSpec;

    /**
     * 毛重-实际
     */
    private BigDecimal grossWeightActual;

    /**
     * 内箱-规格
     */
    private BigDecimal innerBoxSpec;

    /**
     * 内箱-实际
     */
    private BigDecimal innerBoxActual;

    /**
     * 问题备注
     */
    private String remark;

}
