package com.fjhx.sale.entity.sample.vo;

import com.fjhx.sale.entity.sample.po.SampleProduct;
import lombok.Getter;
import lombok.Setter;

/**
 * 样品单-产品列表查询返回值实体
 *
 * @author 
 * @since 2023-05-05
 */
@Getter
@Setter
public class SampleProductVo extends SampleProduct {

    /**
     * 所属分类
     */
    private String productCategory;

    /**
     * 货品编码
     */
    private String productCode;

    /**
     * 货品名称
     */
    private String productName;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 货品规格型号
     */
    private String productSpec;

    /**
     * 货品类型
     */
    private String productType;

    /**
     * 所属分类id
     */
    private Long productCategoryId;

}
