package com.fjhx.sale.entity.sample.vo;

import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.sale.entity.sample.po.Sample;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 样品单表列表查询返回值实体
 *
 * @author
 * @since 2023-05-05
 */
@Getter
@Setter
public class SampleVo extends Sample {

    /**
     * 买方名称
     */
    private String buyCorporationName;

    /**
     * 交接单附件信息
     */
    List<FileInfoVo> fileInfoVos;

    /**
     * 交接单附件信息
     */
    List<FileInfoVo> packageFileInfoVOList;

    /**
     * 客户标签（存在多个用逗号隔开）
     */
    private String  tag;


}
