package com.fjhx.sale.entity.serviceContract.dto;

import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.sale.entity.serviceContract.po.ServiceContract;
import com.fjhx.sale.entity.serviceContract.po.ServiceContractPay;
import com.fjhx.sale.entity.serviceContract.po.ServiceContractProduct;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 服务合同表新增编辑入参实体
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
public class ServiceContractDto extends ServiceContract  implements SetCustomizeAreaId {

    /**
     * 服务合同-收费项目表
     */
    private List<ServiceContractPay> serviceContractPayList;

    /**
     * 服务合同-商品表
     */
    private List<ServiceContractProduct> serviceContractProductList;

    /**
     * 省 州ID
     */
    private Long provinceId;

    /**
     * 省州名称
     */
    private String provinceName;


    /**
     * 城市ID
     */
    private Long cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 国家ID
     */
    private Long countryId;


}
