package com.fjhx.sale.entity.serviceContract.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 服务合同表列表查询入参实体
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
public class ServiceContractSelectDto extends BaseSelectDto {
    /**
     * 审批状态。10:审批中。20驳回。30 通过   999 作废
     */
    private String status;

    /**
     * 服务状态。10:服务中  20 已完结
     */
    private String ServiceStatus;

    /**
     * 归属公司ID
     */
    private Long sellCorporationId;


    /**
     * 客户ID
     */
    private Long buyCorporationId;

    /**
     * 编码
     */
    private String code;

    /**
     * 合同开始金额
     */
    private BigDecimal beginAmount;

    /**
     * 合同结束金额
     */
    private BigDecimal endAmount;

}
