package com.fjhx.sale.entity.serviceContract.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 服务合同-报价单关联表
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("service_contract_product")
public class ServiceContractProduct extends BasePo {

    /**
     * 服务合同表ID
     */
    private Long serviceContractId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品型号
     */
    private String productModel;

    /**
     * 商品数量
     */
    private BigDecimal quantity;

    /**
     * 商品单价
     */
    private BigDecimal price;

    /**
     * 商品金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

}
