package com.fjhx.sale.mapper.commission;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.sale.entity.commission.po.Commission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.commission.vo.CommissionVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 业绩提成表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-05-11
 */
public interface CommissionMapper extends BaseMapper<Commission> {

    /**
     * 业绩提成表分页
     */
    Page<CommissionVo> getPage(@Param("page") Page<Object> page, @Param("ew")QueryWrapper<Object> queryWrapper);

}
