package com.fjhx.sale.mapper.documents;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.sale.entity.documents.po.Documents;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 单证表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface DocumentsMapper extends BaseMapper<Documents> {

    /**
     * 单证表分页
     */
    Page<DocumentsVo> getPage(@Param("page") Page<Object> page, @Param("ew") QueryWrapper<Object> wrapper);

}
