package com.fjhx.sale.mapper.documents;

import com.fjhx.sale.entity.documents.po.DocumentsProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 单证-产品表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface DocumentsProductMapper extends BaseMapper<DocumentsProduct> {

    /**
     * 单证-产品表分页
     */
    Page<DocumentsProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DocumentsProduct> wrapper);

}
