package com.fjhx.sale.mapper.pack;

import com.fjhx.sale.entity.pack.po.PackDetailGoods;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackDetailGoodsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 自定义装箱货物表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackDetailGoodsMapper extends BaseMapper<PackDetailGoods> {

    /**
     * 自定义装箱货物表分页
     */
    Page<PackDetailGoodsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PackDetailGoods> wrapper);

}
