package com.fjhx.sale.mapper.pack;

import com.fjhx.sale.entity.pack.po.PackDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 装箱出货明细表	 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackDetailMapper extends BaseMapper<PackDetail> {

    /**
     * 装箱出货明细表	分页
     */
    Page<PackDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PackDetail> wrapper);

}
