package com.fjhx.sale.mapper.pack;

import com.fjhx.sale.entity.pack.po.Pack;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 装箱出货表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackMapper extends BaseMapper<Pack> {

    /**
     * 装箱出货表分页
     */
    Page<PackVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Pack> wrapper);

}
