package com.fjhx.sale.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.po.EhsdPurchaseProject;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseProjectVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 采购合同-收费项目 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseProjectMapper extends BaseMapper<EhsdPurchaseProject> {

    /**
     * 采购合同-收费项目分页
     */
    Page<EhsdPurchaseProjectVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdPurchaseProject> wrapper);

}
