package com.fjhx.sale.mapper.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityAql;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityAqlVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 质检AQL表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityAqlMapper extends BaseMapper<EhsdQualityAql> {

    /**
     * 质检AQL表分页
     */
    Page<EhsdQualityAqlVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdQualityAql> wrapper);

}
