package com.fjhx.sale.mapper.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityCartons;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityCartonsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 质检纸箱表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityCartonsMapper extends BaseMapper<EhsdQualityCartons> {

    /**
     * 质检纸箱表分页
     */
    Page<EhsdQualityCartonsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdQualityCartons> wrapper);

}
