package com.fjhx.sale.mapper.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityMarkingDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityMarkingDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 质检打标明细表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-25
 */
public interface EhsdQualityMarkingDetailMapper extends BaseMapper<EhsdQualityMarkingDetail> {

    /**
     * 质检打标明细表分页
     */
    Page<EhsdQualityMarkingDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdQualityMarkingDetail> wrapper);

}
