package com.fjhx.sale.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.dto.EhsdPurchaseProjectDto;
import com.fjhx.sale.entity.purchase.dto.EhsdPurchaseProjectSelectDto;
import com.fjhx.sale.entity.purchase.po.EhsdPurchaseProject;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseProjectVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 采购合同-收费项目 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseProjectService extends BaseService<EhsdPurchaseProject> {

    /**
     * 采购合同-收费项目分页
     */
    Page<EhsdPurchaseProjectVo> getPage(EhsdPurchaseProjectSelectDto dto);

    /**
     * 采购合同-收费项目明细
     */
    EhsdPurchaseProjectVo detail(Long id);

    /**
     * 采购合同-收费项目新增
     */
    void add(EhsdPurchaseProjectDto ehsdPurchaseProjectDto);

    /**
     * 采购合同-收费项目编辑
     */
    void edit(EhsdPurchaseProjectDto ehsdPurchaseProjectDto);

    /**
     * 采购合同-收费项目删除
     */
    void delete(Long id);

}
