package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityProductColor;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityProductColorVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualityProductColorSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityProductColorDto;


/**
 * <p>
 * 质检--产品规格 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityProductColorService extends BaseService<EhsdQualityProductColor> {

    /**
     * 质检--产品规格分页
     */
    Page<EhsdQualityProductColorVo> getPage(EhsdQualityProductColorSelectDto dto);

    /**
     * 质检--产品规格明细
     */
    EhsdQualityProductColorVo detail(Long id);

    /**
     * 质检--产品规格新增
     */
    void add(EhsdQualityProductColorDto ehsdQualityProductColorDto);

    /**
     * 质检--产品规格编辑
     */
    void edit(EhsdQualityProductColorDto ehsdQualityProductColorDto);

    /**
     * 质检--产品规格删除
     */
    void delete(Long id);

}
