package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualitySiteTest;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualitySiteTestVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualitySiteTestSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualitySiteTestDto;


/**
 * <p>
 * 质检工艺表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualitySiteTestService extends BaseService<EhsdQualitySiteTest> {

    /**
     * 质检工艺表分页
     */
    Page<EhsdQualitySiteTestVo> getPage(EhsdQualitySiteTestSelectDto dto);

    /**
     * 质检工艺表明细
     */
    EhsdQualitySiteTestVo detail(Long id);

    /**
     * 质检工艺表新增
     */
    void add(EhsdQualitySiteTestDto ehsdQualitySiteTestDto);

    /**
     * 质检工艺表编辑
     */
    void edit(EhsdQualitySiteTestDto ehsdQualitySiteTestDto);

    /**
     * 质检工艺表删除
     */
    void delete(Long id);

}
