package com.fjhx.sale.service.serviceContract;

import com.fjhx.sale.entity.serviceContract.po.ServiceContractRecord;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.serviceContract.vo.ServiceContractRecordVo;
import com.fjhx.sale.entity.serviceContract.dto.ServiceContractRecordSelectDto;
import com.fjhx.sale.entity.serviceContract.dto.ServiceContractRecordDto;


/**
 * <p>
 * 服务合同记录表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface ServiceContractRecordService extends BaseService<ServiceContractRecord> {

    /**
     * 服务合同记录表分页
     */
    Page<ServiceContractRecordVo> getPage(ServiceContractRecordSelectDto dto);

    /**
     * 服务合同记录表明细
     */
    ServiceContractRecordVo detail(Long id);

    /**
     * 服务合同记录表新增
     */
    void add(ServiceContractRecordDto serviceContractRecordDto);

}
