package com.fjhx.supply.entity.supplier.dto;

import com.fjhx.supply.entity.supplier.po.SupplierPrice;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 供应商价格新增编辑入参实体
 *
 * @author zlj
 * @since 2023-03-17
 */
@Getter
@Setter
public class SupplierPriceDto extends SupplierPrice {

    /**
     * 供应商价格列表
     */
    private List<SupplierPrice> supplierPriceList;

    /**
     * 存在重复是否修改
     */
    private boolean renewWhileItExists;

    /**
     * 产品id列表
     */
    private List<Long> productIdList;

}
