package com.fjhx.supply.mapper.supplier;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.supply.entity.supplier.po.SupplierInfo;
import com.fjhx.supply.entity.supplier.vo.SupplierInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 供应商 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-17
 */
public interface SupplierInfoMapper extends BaseMapper<SupplierInfo> {

    /**
     * 供应商分页
     */
    Page<SupplierInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SupplierInfo> wrapper);

}
