package com.fjhx.victoriatourist.entity.deliver.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 发货明细
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("deliver_goods_details")
public class DeliverGoodsDetails extends BasePo {
    /**
     * 发货id
     */
    private Long deliverGoodsId;

    /**
     * 采购单明细id
     */
    private Long purchaseDetailId;

    /**
     * 发货数量
     */
    private BigDecimal deliverGoodsQuantity;

}
