package com.fjhx.victoriatourist.entity.deliver.vo;

import com.fjhx.victoriatourist.entity.deliver.po.DeliverGoodsDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 发货明细列表查询返回值实体
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
public class DeliverGoodsDetailsVo extends DeliverGoodsDetails {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 产品类型
     */
    private String type;
    /**
     * 产品编号
     */
    private String code;
    /**
     * 产品名称
     */
    private String name;
    /**
     * 产品规格
     */
    private String spec;
    /**
     * 产品单位
     */
    private String unit;
    /**
     * 采购数量
     */
    private BigDecimal count;

    /**
     * 产品类型定义
     */
    private Integer definition;

    /**
     * 在途数量
     */
    private BigDecimal transitQuantity;

    /**
     * 物流单号
     */
    private String logisticsCode;

    /**
     * 采购id
     */
    private Long purchaseId;

}
