package com.fjhx.victoriatourist.entity.group.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class GetCombinableQuantityDto {

    /**
     * 仓库id
     */
    @NotNull(message = "仓库id不能为空")
    private Long warehouseId;

    /**
     * 产品id列表
     */
    @NotEmpty(message = "组合id不能为空")
    private List<Long> productIdList;

}
