package com.fjhx.victoriatourist.entity.group.dto;

import com.fjhx.victoriatourist.entity.group.po.GroupRecord;
import com.fjhx.victoriatourist.entity.group.po.GroupRecordDetails;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 组合记录新增编辑入参实体
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
public class GroupRecordDto extends GroupRecord {

    @Valid
    @NotEmpty(message = "组合明细不能为空")
    private List<GroupRecordDetails> groupRecordDetailsList;

}
