package com.fjhx.victoriatourist.entity.jd.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class JdOrderExcelImportBo {

    @ExcelProperty("采购单号")
    private String code;

    @ExcelProperty("商品编号")
    private String productCode;

    @ExcelProperty("配送中心")
    private String distributionCenter;

    @ExcelProperty("详细地址")
    private String detailedAddress;

    @ExcelProperty("收货负责人")
    private String contactPerson;

    @ExcelProperty("收货电话")
    private String contactNumber;

    @ExcelProperty("采购价格")
    private BigDecimal price;

    @ExcelProperty("采购数量")
    private BigDecimal quantity;

}
