package com.fjhx.victoriatourist.entity.jd.dto;

import com.fjhx.victoriatourist.entity.jd.po.JdBack;
import com.fjhx.victoriatourist.entity.jd.po.JdBackDetails;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 京东退货新增编辑入参实体
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
public class JdBackDto extends JdBack {

    /**
     * 物流公司编号
     */
    private String logisticsCompanyCode;

    /**
     * 物流单号
     */
    private String logisticsCode;

    /**
     * 京东退货明细列表
     */
    private List<JdBackDetails> jdBackDetailsList;

}
