package com.fjhx.victoriatourist.entity.jd.vo;

import com.fjhx.victoriatourist.entity.jd.po.JdBack;
import com.fjhx.victoriatourist.entity.jd.po.JdBackDetails;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 京东退货列表查询返回值实体
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
public class JdBackVo extends JdBack {
    /**
     * 物流公司编号
     */
    private String logisticsCompanyCode;

    /**
     * 物流公司名称
     */
    private String logisticsCompanyName;

    /**
     * 物流单号
     */
    private String logisticsCode;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 京东退货明细列表
     */
    private List<JdBackDetails> jdBackDetailsList;

}
