package com.fjhx.victoriatourist.entity.logistics.vo;

import com.fjhx.area.service.SetCustomizeAreaName;
import com.fjhx.victoriatourist.entity.logistics.po.LogisticsInfos;
import lombok.Getter;
import lombok.Setter;

/**
 * 物流信息列表查询返回值实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class LogisticsInfosVo extends LogisticsInfos implements SetCustomizeAreaName {

    /**
     * 物流公司名称
     */
    private String logisticsCompanyName;

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 国家名称
     */
    private String countryName;
    /**
     * 省名称
     */
    private String cityName;
    /**
     * 市名称
     */
    private String provinceName;


}
