package com.fjhx.victoriatourist.entity.purchase.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 采购退货
 * </p>
 *
 * @author 
 * @since 2023-05-19
 */
@Getter
@Setter
@TableName("purchase_back")
public class PurchaseBack extends BasePo {

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 联系人
     */
    private String contacts;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 国家id
     */
    private Long countryId;

    /**
     * 省id
     */
    private Long provinceId;

    /**
     * 市id
     */
    private Long cityId;

    /**
     * 详细信息
     */
    private String detailedAddress;

}
