package com.fjhx.victoriatourist.entity.purchase.po;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 采购退货明细
 * </p>
 *
 * @author 
 * @since 2023-05-19
 */
@Getter
@Setter
@TableName("purchase_back_details")
public class PurchaseBackDetails extends BasePo {

    /**
     * 采购退货id
     */
    private Long purchaseBackId;

    /**
     * 采购明细id
     */
    private Long purchaseDetailsId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 退货数量
     */
    private BigDecimal quantity;

}
