package com.fjhx.victoriatourist.entity.quality.dto;

import com.fjhx.victoriatourist.entity.quality.po.QualityDetails;
import com.fjhx.victoriatourist.entity.quality.po.QualityInfo;
import com.fjhx.victoriatourist.entity.quality.vo.QualityDetailsVo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 质检新增编辑入参实体
 *
 * @author
 * @since 2023-04-26
 */
@Getter
@Setter
public class QualityInfoDto extends QualityInfo {

    /**
     * 质检明细
     */
    List<QualityDetails> qualityDetailsList;

    /**
     * 到货入库id
     */
    private Long arrivalStockRecordsId;


}
