package com.fjhx.victoriatourist.entity.quality.vo;

import com.fjhx.victoriatourist.entity.quality.po.QualityInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 质检列表查询返回值实体
 *
 * @author
 * @since 2023-04-26
 */
@Getter
@Setter
public class QualityInfoVo extends QualityInfo {

    /**
     * 采购单号
     */
    private String purchaseCode;

    /**
     * 供应商id
     */
    private Long supplyId;

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 发货id
     */
    private Long deliverGoodsId;

    /**
     * 物流公司编号
     */
    private String logisticsCompanyCode;

    /**
     * 物流公司名称
     */
    private String logisticsCompanyName;

    /**
     * 物流公司单号
     */
    private String logisticsCode;

    /**
     * 采购人id
     */
    private Long purchaseUserId;

    /**
     * 采购人名称
     */
    private String purchaseUserName;

    /**
     * 采购时间
     */
    private Date purchaseTime;

    /**
     * 质检状态
     */
    private Integer qualityStatus;

    /**
     * 合同单号
     */
    private String contractCode;


}
