package com.fjhx.victoriatourist.entity.sales.vo;

import com.fjhx.victoriatourist.entity.sales.po.SalesRecord;
import lombok.Getter;
import lombok.Setter;

/**
 * 销售数据列表查询返回值实体
 *
 * @author
 * @since 2023-04-19
 */
@Getter
@Setter
public class SalesRecordVo extends SalesRecord {

    /**
     * 分类id
     */
    private Long classifyId;

    /**
     * 分类名称
     */
    private String classifyName;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品规格型号
     */
    private String productSpec;

    /**
     * 产品单位
     */
    private String productUnit;

}
