package com.fjhx.victoriatourist.entity.stock.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 调仓记录列表查询入参实体
 *
 * @author 
 * @since 2023-04-17
 */
@Getter
@Setter
public class StockTransferSelectDto extends BaseSelectDto {

    /**
     * 调出仓库id
     */
    private Long outWarehouseId;

    /**
     * 调入仓库id
     */
    private Long inWarehouseId;

    /**
     * 接受状态 0未接收 1已接收
     */
    private Integer inStatus;

}
