package com.fjhx.victoriatourist.entity.stock.vo;

import com.fjhx.victoriatourist.entity.stock.po.StockTransfer;
import com.fjhx.victoriatourist.entity.stock.po.StockTransferDetails;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 调仓记录列表查询返回值实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class StockTransferVo extends StockTransfer {

    /**
     * 调出仓库名称
     */
    private String outWarehouseName;

    /**
     * 调入仓库名称
     */
    private String inWarehouseName;

    /**
     * 调出人名字
     */
    private String outUserName;

    /**
     * 接收人名字
     */
    private String inUserName;

    /**
     * 调仓明细
     */
    List<StockTransferDetailsVo> stockTransferDetailsList;

}
