package com.fjhx.victoriatourist.mapper.jd;

import com.fjhx.victoriatourist.entity.jd.po.JdOrder;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.vo.JdOrderVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 京东订单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-20
 */
public interface JdOrderMapper extends BaseMapper<JdOrder> {

    /**
     * 京东订单分页
     */
    Page<JdOrderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdOrder> wrapper);

    /**
     * 京东订单接收分页
     */
    Page<JdOrderVo> getReceivePage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdOrder> wrapper);

}
