package com.fjhx.victoriatourist.service.group;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.group.dto.GetCombinableQuantityDto;
import com.fjhx.victoriatourist.entity.group.dto.GroupRecordDetailsSelectDto;
import com.fjhx.victoriatourist.entity.group.dto.GroupRecordDto;
import com.fjhx.victoriatourist.entity.group.po.GroupRecordDetails;
import com.fjhx.victoriatourist.entity.group.vo.GetCombinableQuantityVo;
import com.fjhx.victoriatourist.entity.group.vo.GroupRecordDetailsVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 组合记录明细 服务类
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface GroupRecordDetailsService extends BaseService<GroupRecordDetails> {

    /**
     * 组合记录明细分页
     */
    Page<GroupRecordDetailsVo> getPage(GroupRecordDetailsSelectDto dto);

    /**
     * 组合记录明细明细
     */
    List<GroupRecordDetailsVo> detail(Long id);

    /**
     * 获取可组合数量
     */
    GetCombinableQuantityVo getCombinableQuantity(GetCombinableQuantityDto dto);

    /**
     * 组合/拆分
     */
    void add(GroupRecordDto dto);

}
