package com.fjhx.victoriatourist.service.jd;

import com.fjhx.victoriatourist.entity.jd.po.JdBackQualityDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackQualityDetailsVo;
import com.fjhx.victoriatourist.entity.jd.dto.JdBackQualityDetailsSelectDto;
import com.fjhx.victoriatourist.entity.jd.dto.JdBackQualityDetailsDto;

import java.util.List;


/**
 * <p>
 * 京东退货质检明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface JdBackQualityDetailsService extends BaseService<JdBackQualityDetails> {

    /**
     * 京东退货质检明细分页
     */
    Page<JdBackQualityDetailsVo> getPage(JdBackQualityDetailsSelectDto dto);

    /**
     * 京东退货质检明细明细
     */
    List<JdBackQualityDetailsVo> detail(String code);

    /**
     * 京东退货质检明细新增
     */
    void add(List<JdBackQualityDetailsDto> jdBackQualityDetailsDtoList);

    /**
     * 京东退货质检明细编辑
     */
    void edit(JdBackQualityDetailsDto jdBackQualityDetailsDto);

    /**
     * 京东退货质检明细删除
     */
    void delete(Long id);

}
