package com.fjhx.victoriatourist.service.stock;

import com.fjhx.victoriatourist.entity.stock.po.StockTransferDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.stock.vo.StockTransferDetailsVo;
import com.fjhx.victoriatourist.entity.stock.dto.StockTransferDetailsSelectDto;
import com.fjhx.victoriatourist.entity.stock.dto.StockTransferDetailsDto;


/**
 * <p>
 * 调仓明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface StockTransferDetailsService extends BaseService<StockTransferDetails> {

    /**
     * 调仓明细分页
     */
    Page<StockTransferDetailsVo> getPage(StockTransferDetailsSelectDto dto);

    /**
     * 调仓明细明细
     */
    StockTransferDetailsVo detail(Long id);

    /**
     * 调仓明细新增
     */
    void add(StockTransferDetailsDto stockTransferDetailsDto);

    /**
     * 调仓明细编辑
     */
    void edit(StockTransferDetailsDto stockTransferDetailsDto);

    /**
     * 调仓明细删除
     */
    void delete(Long id);

}
