package com.fjhx.victoriatourist.utils;

/**
 * 物流常量
 */
public interface LogisticsConstant {

    /**
     * 状态
     */
    class Status {
        //未完成 / 未到货
        public static final Integer STATUS_0 = 0;
        //已完成 / 已到货
        public static final Integer STATUS_1 = 1;
    }

    /**
     * 入库状态
     */
    class InStockStatus {
        //未入库
        public static final Integer STATUS_10 = 10;
        //部分入库
        public static final Integer STATUS_20 = 20;
        //已入库
        public static final Integer STATUS_30 = 30;
    }

    /**
     * 物流状态（快递100的状态）
     */
    class KD100Status {
        // 未找到快递信息
        public static final Integer STATUS_N = -1;
        // 在途
        public static final Integer STATUS_0 = 0;
        // 揽收
        public static final Integer STATUS_1 = 1;
        // 疑难
        public static final Integer STATUS_2 = 2;
        // 签收
        public static final Integer STATUS_3 = 3;
        // 退签
        public static final Integer STATUS_4 = 4;
        // 派件
        public static final Integer STATUS_5 = 5;
        //退回
        public static final Integer STATUS_6 = 6;
        //转投
        public static final Integer STATUS_7 = 7;
        //清关
        public static final Integer STATUS_8 = 8;
        //拒签
        public static final Integer STATUS_14 = 14;
    }
}
