package com.fjhx.wms.entity.stock.dto;

import com.fjhx.wms.entity.stock.po.StockCheck;
import com.fjhx.wms.entity.stock.po.StockCheckDetails;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 库存盘点新增编辑入参实体
 *
 * @author
 * @since 2023-03-22
 */
@Getter
@Setter
public class StockCheckDto extends StockCheck {

    /**
     * 库存盘点明细
     */
    @Valid
    @NotEmpty(message = "库存盘点明细不能为空")
    List<StockCheckDetails> list;

}
