package com.fjhx.wms.entity.stock.dto;

import com.fjhx.wms.entity.stock.po.StockWaitDetails;
import lombok.Getter;
import lombok.Setter;

/**
 * 待出入库明细新增编辑入参实体
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
public class StockWaitDetailsDto extends StockWaitDetails {

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 物流公司编号
     */
    private String logisticsCompanyCode;
    /**
     * 物流编号
     */
    private String logisticsCode;
}
