package com.fjhx.wms.entity.stock.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 冻结库存
 * </p>
 *
 * @author 
 * @since 2023-05-16
 */
@Getter
@Setter
@TableName("stock_frozen")
public class StockFrozen extends BasePo {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 冻结库存
     */
    private BigDecimal frozenQuantity;

}
