package com.fjhx.wms.entity.stock.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 出入库记录明细
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
@Getter
@Setter
@TableName("stock_journal_details")
public class StockJournalDetails extends BasePo {

    /**
     * 出入库记录id
     */
    private Long stockJournalId;

    /**
     * 商品id
     */
    private Long productId;

    /**
     * 数量
     */
    private BigDecimal quantity;

}
