package com.fjhx.wms.entity.warehouse.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 仓库库位信息
 * </p>
 *
 * @author 
 * @since 2023-05-18
 */
@Getter
@Setter
@TableName("warehouse_location_info")
public class WarehouseLocationInfo extends BasePo {

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 库位编号
     */
    private String code;

    /**
     * 库位名称
     */
    private String name;

    /**
     * 产品id列表逗号分隔
     */
    private String productIds;

}
