package com.fjhx.wms.mapper.arrival;

import com.fjhx.wms.entity.arrival.po.ArrivalStockRecords;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.arrival.vo.ArrivalStockRecordsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 采购到货入库记录 维多利亚 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
public interface ArrivalStockRecordsMapper extends BaseMapper<ArrivalStockRecords> {

    /**
     * 采购到货入库记录 维多利亚分页
     */
    Page<ArrivalStockRecordsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ArrivalStockRecords> wrapper);

}
