package com.fjhx.wms.mapper.stock;

import com.fjhx.wms.entity.stock.po.StockCheckDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockCheckDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 库存盘点明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
public interface StockCheckDetailsMapper extends BaseMapper<StockCheckDetails> {

    /**
     * 库存盘点明细分页
     */
    Page<StockCheckDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockCheckDetails> wrapper);

}
