package com.fjhx.wms.mapper.stock;

import com.fjhx.wms.entity.stock.po.StockCheck;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.vo.StockCheckVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 库存盘点 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-22
 */
public interface StockCheckMapper extends BaseMapper<StockCheck> {

    /**
     * 库存盘点分页
     */
    Page<StockCheckVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockCheck> wrapper);

    /**
     * 库存盘点明细
     */
    StockCheckVo detail(Long id);
}
