package com.fjhx.wms.mapper.warehouse;

import com.fjhx.wms.entity.warehouse.po.Warehouse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.warehouse.vo.WarehouseVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 仓库 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-20
 */
public interface WarehouseMapper extends BaseMapper<Warehouse> {

    /**
     * 仓库分页
     */
    Page<WarehouseVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Warehouse> wrapper);

}
