package com.fjhx.wms.service.warehouse;

import com.fjhx.wms.entity.warehouse.po.WarehouseLocationInfo;
import com.ruoyi.common.core.service.BaseService;
import com.fjhx.wms.entity.warehouse.vo.WarehouseLocationInfoVo;
import com.fjhx.wms.entity.warehouse.dto.WarehouseLocationInfoSelectDto;
import com.fjhx.wms.entity.warehouse.dto.WarehouseLocationInfoDto;

import java.util.List;

/**
 * <p>
 * 仓库库位信息 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-18
 */
public interface WarehouseLocationInfoService extends BaseService<WarehouseLocationInfo> {

    /**
     * 仓库库位信息列表
     */
    List<WarehouseLocationInfoVo> getList(WarehouseLocationInfoDto dto);

    /**
     * 仓库库位信息编辑
     */
    void edit(WarehouseLocationInfoDto warehouseLocationInfoDto);

}
