package com.fjhx.account.entity.account.bo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Getter
@Setter
public class CapitalDailyBo {

    /**
     * 归属公司id
     */
    private Long corporationId;

    /**
     * 归属公司名称
     */
    private String corporationName;

    /**
     * 账户id
     */
    private Long accountManagementId;

    /**
     * 账户名称
     */
    private String accountManagementAlias;

    /**
     * 货币类型（币种）
     */
    private String currencyType;

    /**
     * 余额
     */
    private BigDecimal remainder;

    /**
     * 记录
     */
    private List<Map<String, Object>> flowingWaterList;

}
