package com.fjhx.account.service.account;

import com.fjhx.account.entity.account.po.AccountDeptRunningWaterDetail;
import com.fjhx.account.entity.account.vo.AccountRunningWaterVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountDeptRunningWaterDetailVo;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterDetailSelectDto;
import com.fjhx.account.entity.account.dto.AccountDeptRunningWaterDetailDto;

import java.util.List;


/**
 * <p>
 * 资金流水分拆部门表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
public interface AccountDeptRunningWaterDetailService extends BaseService<AccountDeptRunningWaterDetail> {

    /**
     * 资金流水分拆部门表分页
     */
    Page<AccountDeptRunningWaterDetailVo> getPage(AccountDeptRunningWaterDetailSelectDto dto);

    /**
     * 资金流水分拆部门表明细
     */
    AccountRunningWaterVo detail(Long id);

    /**
     * 资金流水分拆部门表新增
     */
    void add(AccountRunningWaterVo accountRunningWaterVo);

    /**
     * 资金流水分拆部门表编辑
     */
    void edit(AccountDeptRunningWaterDetailDto accountDeptRunningWaterDetailDto);

    /**
     * 资金流水分拆部门表删除
     */
    void delete(Long id);

}
