package com.fjhx.account.service.account;

import com.fjhx.account.entity.account.dto.AccountRequestFundsSelectDto;
import com.fjhx.account.entity.account.po.AccountPayment;
import com.fjhx.account.entity.account.vo.AccountRequestFundsVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.vo.AccountPaymentVo;
import com.fjhx.account.entity.account.dto.AccountPaymentSelectDto;
import com.fjhx.account.entity.account.dto.AccountPaymentDto;


/**
 * <p>
 * 打款表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-11
 */
public interface AccountPaymentService extends BaseService<AccountPayment> {

    /**
     * 打款表分页
     */
    Page<AccountPaymentVo> getPage(AccountRequestFundsSelectDto dto);

    /**
     * 打款表明细
     */
    AccountPaymentVo detail(Long id);

    /**
     * 打款功能
     */
    void add(AccountPaymentDto accountPaymentDto);

    /**
     * 打款表编辑
     */
    void edit(AccountPaymentDto accountPaymentDto);

    /**
     * 打款表删除
     */
    void delete(Long id);

}
