package com.fjhx.common.controller.country;

import com.fjhx.common.entity.country.po.Country;
import com.fjhx.common.service.country.CountryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 国家代码 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-12
 */
@RestController
@RequestMapping("/country")
public class CountryController {

    @Autowired
    private CountryService countryService;

    /**
     * 国家代码列表
     */
    @PostMapping("/list")
    public List<Country> list() {
        return countryService.list();
    }

}
