package com.fjhx.common.entity.currency.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 币种默认汇率
 * </p>
 *
 * @author
 * @since 2023-04-24
 */
@Getter
@Setter
@TableName("currency_rate")
public class CurrencyRate extends BasePo {

    /**
     * 币种类型
     */
    private String type;

    /**
     * 汇率
     */
    private BigDecimal rate;

}
