package com.fjhx.common.entity.documentary.dto;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 跟单记录列表查询入参实体
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
public class DocumentaryRecordSelectDto extends BaseSelectDto {

    /**
     * 跟单类型
     * {@link com.fjhx.common.entity.documentary.eums.DocumentaryTypeEnum}
     */
    private Integer type;

    /**
     * 搜索条件
     */
    private JSONObject condition;

    /**
     * 无跟单记录配置id
     */
    private Long noRecordDocumentaryId;

}
