package com.fjhx.common.entity.problem.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 问题反馈
 * </p>
 *
 * @author
 * @since 2023-05-04
 */
@Getter
@Setter
@TableName("problem_feedback")
public class ProblemFeedback extends BasePo {

    /**
     * 姓名
     */
    private String name;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 联系方式
     */
    private String contactInformation;

    /**
     * 模块类型
     */
    private String moduleType;

    /**
     * 问题说明
     */
    private String problemStatement;

    /**
     * 0待回复 1已回复
     */
    private Integer status;

    /**
     * 回复内容
     */
    private String replyContent;

    /**
     * 租户id
     */
    private String tenantId;

}
