package com.fjhx.common.entity.send.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author
 * @since 2023-05-22
 */
@Getter
@Setter
@TableName("send_meg")
public class SendMeg extends BasePo {

    /**
     * 消息类型 1系统公告
     */
    @NotNull(message = "消息类型不能为空")
    private Integer type;

    /**
     * 标题
     */
    @NotEmpty(message = "标题不能为空")
    private String title;

    /**
     * 内容
     */
    @NotEmpty(message = "消息正文不能为空")
    private String content;

    /**
     * 发送时间
     */
    @NotEmpty(message = "发送时间不能为空")
    private Date sendTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 状态 0待发送 1已发送
     */
    private Integer status;

}
