package com.fjhx.common.mapper.contract;

import com.fjhx.common.entity.contract.po.ContractTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.contract.vo.ContractTemplateVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 合同模板 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-14
 */
public interface ContractTemplateMapper extends BaseMapper<ContractTemplate> {

    /**
     * 合同模板分页
     */
    Page<ContractTemplateVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ContractTemplate> wrapper);

}
