package com.fjhx.common.service.documentary;

import com.fjhx.common.entity.documentary.dto.DocumentaryRecordDto;
import com.fjhx.common.entity.documentary.dto.DocumentaryRecordSelectDto;
import com.fjhx.common.entity.documentary.po.DocumentaryRecord;
import com.fjhx.common.entity.documentary.vo.DocumentaryRecordInfoVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 跟单记录 服务类
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface DocumentaryRecordService extends BaseService<DocumentaryRecord> {

    /**
     * 跟单记录信息
     */
    DocumentaryRecordInfoVo getInfo(DocumentaryRecordSelectDto dto);

    /**
     * 添加跟单记录
     */
    void add(DocumentaryRecordDto dto);

    /**
     * 编辑跟单记录
     */
    void edit(DocumentaryRecordDto dto);

    /**
     * 删除跟单记录
     */
    void delete(Long id);

}
