package com.fjhx.common.service.documentary;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.documentary.bo.DocumentaryData;
import com.ruoyi.common.core.domain.BaseSelectDto;

import java.util.List;

public interface GetDocumentaryBusinessTemplate {

    /**
     * 获取跟单分页数据
     *
     * @param selectData        筛选条件
     * @param dto               分页参数
     * @param excludeBusinessId 排除业务id
     * @return 分页数据
     */
    Page<? extends DocumentaryData> getDocumentaryPage(JSONObject selectData, BaseSelectDto dto, List<Long> excludeBusinessId);

}
