package com.fjhx.common.service.send;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.send.dto.SendMegDto;
import com.fjhx.common.entity.send.dto.SendMegSelectDto;
import com.fjhx.common.entity.send.po.SendMeg;
import com.fjhx.common.entity.send.vo.SendMegVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 服务类
 * </p>
 *
 * @author
 * @since 2023-05-22
 */
public interface SendMegService extends BaseService<SendMeg> {

    /**
     * 分页
     */
    Page<SendMegVo> getPage(SendMegSelectDto dto);

    /**
     * 明细
     */
    SendMegVo detail(Long id);

    /**
     * 新增
     */
    void add(SendMegDto sendMegDto);

    /**
     * 编辑
     */
    void edit(SendMegDto sendMegDto);

    /**
     * 删除
     */
    void delete(Long id);

    /**
     * 推送数据
     */
    void send(SendMeg sendMeg);


    void executeSend();


}
