package com.fjhx.customer.entity.customer.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 客户跟进记录
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
@Getter
@Setter
@TableName("customer_follow_records")
public class CustomerFollowRecords extends BasePo {

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 跟进日期
     */
    private Date date;

    /**
     * 跟进内容
     */
    private String content;

}
