package com.fjhx.customer.entity.customer.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 客户用户表
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("customer_user")
public class CustomerUser extends BasePo {

    /**
     * 客户表Id
     */
    private Long customerId;

    /**
     * 联系人名称
     */
    private String name;

    /**
     * 联系人电话
     */
    private String phone;

    /**
     * 电子邮箱
     */
    private String email;

    /**
     * 更多联系方式
     */
    private String contactJson;

}
