package com.fjhx.ehsd.controller.quality;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.dto.ContractProductSelectDto;
import com.fjhx.sale.entity.contract.vo.ContractProductVo;
import com.fjhx.sale.entity.sample.dto.SampleSelectDto;
import com.fjhx.sale.service.contract.ContractProductService;
import com.fjhx.sale.service.sample.SampleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 待质检
 * </p>
 *
 * @author  czj
 * @since 2023-05-05
 */
@RestController
@RequestMapping("/stay/quality")
public class StayQualityController {

    @Autowired
    private ContractProductService contractProductService;

    /**
     * 待质检--分页
     */
    @PostMapping("/page")
    public Page<ContractProductVo> page(@RequestBody ContractProductSelectDto dto) {
        return contractProductService.getEHSDQualityPage(dto);
    }


}
