package com.fjhx.ehsd.entity.freight.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 货代公司管理
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
@Getter
@Setter
@TableName("freight_forwarder")
public class FreightForwarder extends BasePo {

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 公司电话
     */
    private String companyTel;

    /**
     * 省份
     */
    private String province;

    /**
     * 城市
     */
    private String city;

    /**
     * 地址
     */
    private String address;

    /**
     * 联系人
     */
    private String personName;

    /**
     * 联系电话
     */
    private String personTel;

    /**
     * 联系人邮箱
     */
    private String personMail;

    /**
     * 统一社会信用代码
     */
    private String unifiedCode;

    /**
     * 银行
     */
    private String bankName;

    /**
     * 账户名
     */
    private String bankAccountName;

    /**
     * 账户
     */
    private String bankAccount;

}
