package com.fjhx.iot.entity.tda.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * iot配置
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
@Getter
@Setter
@TableName("tda_config")
public class TdaConfig extends BasePo {

    /**
     * 类型 1华为
     */
    private Integer type;

    /**
     * 平台名称
     */
    private String name;

    /**
     * EndPoint
     */
    private String endPoint;

    /**
     * Access Key Id
     */
    private String accessKeyId;

    /**
     * Secret Access Key
     */
    private String secretAccessKey;

    /**
     * accessKey
     */
    private String accessKey;

    /**
     * accessCode
     */
    private String accessCode;

    /**
     * 项目 ID
     */
    private String productId;

    /**
     * 备注
     */
    private String remark;

}
