package com.fjhx.iot.entity.tda.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 设备管理
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
@Getter
@Setter
@TableName("tda_device")
public class TdaDevice extends BasePo {

    /**
     * 产品表id
     */
    private Long tdaProductId;

    /**
     * 华为tda产品id
     */
    private String productId;

    /**
     * 设备节点（设备标识）
     */
    private String nodeId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备id
     */
    private String deviceId;

    /**
     * 设备密匙
     */
    private String secret;

}
