package com.fjhx.iot.entity.tda.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 产品管理
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
@Getter
@Setter
@TableName("tda_product")
public class TdaProduct extends BasePo {

    /**
     * 资源空间表id
     */
    private Long tdaApplicationId;

    /**
     * 华为tda资源空间id
     */
    private String appId;

    /**
     * 华为tda产品id
     */
    private String productId;

    /**
     * 华为tda产品名称
     */
    private String name;

    /**
     * 华为tda产品设备类型
     */
    private String deviceType;

    /**
     * 华为tda产品厂商名称
     */
    private String manufacturerName;

    /**
     * 协议类型 默认MQTT
     */
    private String protocolType;

    /**
     * 数据格式 默认json
     */
    private String dataFormat;

}
