package com.fjhx.iot.mapper.tda;

import com.fjhx.iot.entity.tda.po.TdaDevice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.iot.entity.tda.vo.TdaDeviceVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 设备管理 Mapper 接口
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
public interface TdaDeviceMapper extends BaseMapper<TdaDevice> {

    /**
     * 设备管理分页
     */
    Page<TdaDeviceVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<TdaDevice> wrapper);

}
