package com.fjhx.iot.mapper.tda;

import com.fjhx.iot.entity.tda.po.TdaProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.iot.entity.tda.vo.TdaProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 产品管理 Mapper 接口
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
public interface TdaProductMapper extends BaseMapper<TdaProduct> {

    /**
     * 产品管理分页
     */
    Page<TdaProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<TdaProduct> wrapper);

}
