package com.fjhx.iot.service.tda;

import com.fjhx.iot.entity.tda.po.TdaApplication;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.iot.entity.tda.vo.TdaApplicationVo;
import com.fjhx.iot.entity.tda.dto.TdaApplicationSelectDto;
import com.fjhx.iot.entity.tda.dto.TdaApplicationDto;


/**
 * <p>
 * 行业管理 服务类
 * </p>
 *
 * @author zlj
 * @since 2023-03-21
 */
public interface TdaApplicationService extends BaseService<TdaApplication> {

    /**
     * 行业管理分页
     */
    Page<TdaApplicationVo> getPage(TdaApplicationSelectDto dto);

    /**
     * 行业管理明细
     */
    TdaApplicationVo detail(Long id);

    /**
     * 行业管理新增
     */
    void add(TdaApplicationDto tdaApplicationDto);

    /**
     * 行业管理删除
     */
    void delete(Long id);

}
