package com.fjhx.item.entity.product.po;

import java.util.List;

/**
 * 维多利亚产品信息扩展JSON实体
 */

public class ProductInfoWdlyJson {
    /**
     * 京东供价
     */
    private String jdPurchasePrice;
    /**
     * 标准售价
     */
    private String sellingPrice;
    /**
     * 库存清空期限
     */
    private String clearancePeriod;
    /**
     * 是否组合
     */
    private String combination;
    /**
     * 新品期
     */
    private Integer newProductsDay;
    /**
     * 成长期
     */
    private Integer growUpDay;
    /**
     * 当前周期
     */
    private String lifeCycle;
    /**
     * 新品预计销量
     */
    private String newProductsExpectedSales;
    /**
     * 成长期预计销量
     */
    private String growUpExpectedSales;
    /**
     * 成熟期预计销量
     */
    private String matureExpectedSales;
    /**
     * 重量
     */
    private String weight;
    /**
     * 材质面料
     */
    private String materialQuality;
    /**
     * 适用温度
     */
    private String applicableTemp;
    /**
     * 销售状态
     */
    private String salesStatus;

    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 关联产品列表
     */
    private List<ProductCombination> productCombinationList;

    class ProductCombination {
        /**
         * 关联产品id
         */
        private Long linkProductId;
        /**
         * 关联产品数量
         */
        private String linkQuantity;

        //VO字段
        /**
         * 关联产品名称
         */
        private String name;
        /**
         * 关联产品编号
         */
        private String code;
        /**
         * 关联产品自定义编号
         */
        private String customCode;
    }

}
