package com.fjhx.item.entity.product.vo;

import com.fjhx.item.entity.product.po.ProductInfo;
import com.fjhx.item.entity.product.po.ProductSpu;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 产品spu列表查询返回值实体
 *
 * @author
 * @since 2023-04-11
 */
@Getter
@Setter
public class ProductSpuVo extends ProductSpu {

    /**
     * 产品列表
     */
    private List<ProductInfo> productInfoList;

    /**关联产品数*/
    private Integer count;

}
