package com.fjhx.jxst.mapper.sales;

import com.fjhx.jxst.entity.sales.po.SalesContract;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jxst.entity.sales.vo.SalesContractVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 销售合同 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-16
 */
public interface SalesContractMapper extends BaseMapper<SalesContract> {

    /**
     * 销售合同分页
     */
    Page<SalesContractVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SalesContract> wrapper);

}
