package com.fjhx.mail.entity.enterprise.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 企业邮件
 * </p>
 *
 * @author 
 * @since 2023-05-29
 */
@Getter
@Setter
@TableName("enterprise_message")
public class EnterpriseMessage extends BaseIdPo {

    /**
     * 邮件uid
     */
    private Long uid;

    /**
     * 邮箱id
     */
    private Long mailboxId;

    /**
     * 文件夹id
     */
    private Long folderId;

    /**
     * 文件夹名称
     */
    private String folderName;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 发件人email
     */
    private String fromEmail;

    /**
     * 发件人名称
     */
    private String fromPersonalName;

    /**
     * 发件类型
     */
    private String fromType;

    /**
     * 发件时间
     */
    private Date sendDate;

    /**
     * 收件时间
     */
    private Date receivedDate;

    /**
     * 同步状态 1已同步 0未同步
     */
    private Integer syncStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

}
