package com.fjhx.mail.entity.message.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class SetSeenDto {

    @NotNull(message = "文件夹名称不能为空")
    private String folderName;

    @NotEmpty(message = "邮件uid不能为空")
    private List<Long> uidList;

    /**
     * 1个人邮箱 2企业邮箱
     */
    @NotNull(message = "类型不能为空")
    private Integer type;

    /**
     * 邮箱id
     */
    @NotNull(message = "邮箱id不能为空")
    private Long mailboxId;

}
