package com.fjhx.mail.entity.my.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class MyTagMessageAddBathDto {

    /**
     * 我的标签id
     */
    @NotNull(message = "我的标签id不能为空")
    private Long myTagId;

    /**
     * 邮件id列表
     */
    @NotEmpty(message = "邮件id列表不能为空")
    private List<Long> messageIdList;

}
