package com.fjhx.mail.entity.my.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 我的标签关联邮件
 * </p>
 *
 * @author 
 * @since 2023-05-29
 */
@Getter
@Setter
@TableName("my_tag_message")
public class MyTagMessage extends BasePo {

    /**
     * 我的标签id
     */
    @NotNull(message = "我的标签id不能为空")
    private Long myTagId;

    /**
     * 邮件id
     */
    @NotNull(message = "邮件id不能为空")
    private Long messageId;

}
