package com.fjhx.mail.entity.my.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class MessageVo {

    /**
     * id
     */
    private Long id;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 邮件标记
     */
    private String flags = "";

    /**
     * 发件人email
     */
    private String fromEmail;

    /**
     * 发件人名称
     */
    private String fromPersonalName;

    /**
     * 发件类型
     */
    private String fromType;

    /**
     * 发件时间
     */
    private Date sendDate;

    /**
     * 我的文件夹关联邮件id
     */
    private Long myFolderMessageId;

    /**
     * 我的标签关联邮件id
     */
    private Long myTagMessageId;

}
