package com.fjhx.mail.mapper.enterprise;

import com.fjhx.mail.entity.enterprise.po.EnterpriseDomain;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.enterprise.vo.EnterpriseDomainVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 企业邮箱域名 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface EnterpriseDomainMapper extends BaseMapper<EnterpriseDomain> {

    /**
     * 企业邮箱域名分页
     */
    Page<EnterpriseDomainVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EnterpriseDomain> wrapper);

}
