package com.fjhx.mail.mapper.my;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.my.po.MyContactPerson;
import com.fjhx.mail.entity.my.vo.MyContactPersonVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 联系人 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-09
 */
public interface MyContactPersonMapper extends BaseMapper<MyContactPerson> {

    /**
     * 联系人分页
     */
    Page<MyContactPersonVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<MyContactPerson> wrapper);

}
