package com.fjhx.mail.mapper.my;

import com.fjhx.mail.entity.my.po.MyTag;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.my.vo.MyTagVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 我的标签 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-29
 */
public interface MyTagMapper extends BaseMapper<MyTag> {

    /**
     * 我的标签分页
     */
    Page<MyTagVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<MyTag> wrapper);

}
