package com.fjhx.mail.mapper.personal;

import com.fjhx.mail.entity.personal.po.PersonalMailbox;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.personal.vo.PersonalMailboxVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 个人邮箱 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-06
 */
public interface PersonalMailboxMapper extends BaseMapper<PersonalMailbox> {

    /**
     * 个人邮箱分页
     */
    Page<PersonalMailboxVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PersonalMailbox> wrapper);

}
