package com.fjhx.mes.entity.production.vo;

import com.fjhx.mes.entity.production.po.ProductionPlan;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 生产计划列表查询返回值实体
 *
 * @author 
 * @since 2023-03-29
 */
@Getter
@Setter
public class ProductionPlanVo extends ProductionPlan {

    /**产品名称*/
    private String productName;

    /**生产任务列表*/
    private List<ProductionTaskVo> productionTaskList;

    /**待排程数量*/
    private BigDecimal remainingQuantity;

}
