package com.fjhx.mes.entity.technology.vo;

import com.fjhx.item.entity.product.po.ProductInfo;
import com.fjhx.mes.entity.production.po.ProductionProcesses;
import com.fjhx.mes.entity.technology.po.Technology;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * 工艺列表查询返回值实体
 *
 * @author 
 * @since 2023-03-28
 */
@Getter
@Setter
public class TechnologyVo extends Technology {

    /**工艺线路名列表*/
    private List<String> processRouteNameList;

    /**适用商品名列表*/
    private List<String> applicableProductsNameList;

    /**工艺线路列表*/
    private List<ProductionProcesses> processRouteList;

    /**适用商品列表*/
    private List<ProductInfo> applicableProductsList;

}
