package com.fjhx.mes.entity.workshop.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 车间
 * </p>
 *
 * @author 
 * @since 2023-03-23
 */
@Getter
@Setter
@TableName("workshop")
public class Workshop extends BaseIdPo {

    /**
     * 车间类型
     */
    private Integer type;

    /**
     * 车间名称
     */
    private String name;

    /**
     * 负责人id
     */
    private Long personLiableId;

    /**
     * 说明
     */
    private String remarks;

}
