package com.fjhx.mes.mapper.production;

import com.fjhx.mes.entity.production.po.ProductionPlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionPlanVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 生产计划 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-29
 */
public interface ProductionPlanMapper extends BaseMapper<ProductionPlan> {

    /**
     * 生产计划分页
     */
    Page<ProductionPlanVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionPlan> wrapper);

}
