package com.fjhx.mes.mapper.technology;

import com.fjhx.mes.entity.technology.po.Technology;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.technology.vo.TechnologyVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 工艺 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-03-28
 */
public interface TechnologyMapper extends BaseMapper<Technology> {

    /**
     * 工艺分页
     */
    Page<TechnologyVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Technology> wrapper);

}
