package com.fjhx.mes.service.applicable;

import com.fjhx.mes.entity.applicable.po.ApplicableProducts;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.applicable.vo.ApplicableProductsVo;
import com.fjhx.mes.entity.applicable.dto.ApplicableProductsSelectDto;
import com.fjhx.mes.entity.applicable.dto.ApplicableProductsDto;


/**
 * <p>
 * 工艺适用产品明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-28
 */
public interface ApplicableProductsService extends BaseService<ApplicableProducts> {

    /**
     * 工艺适用产品明细分页
     */
    Page<ApplicableProductsVo> getPage(ApplicableProductsSelectDto dto);

    /**
     * 工艺适用产品明细明细
     */
    ApplicableProductsVo detail(Long id);

    /**
     * 工艺适用产品明细新增
     */
    void add(ApplicableProductsDto applicableProductsDto);

    /**
     * 工艺适用产品明细编辑
     */
    void edit(ApplicableProductsDto applicableProductsDto);

    /**
     * 工艺适用产品明细删除
     */
    void delete(Long id);

}
