package com.fjhx.mes.service.production;

import com.fjhx.mes.entity.production.po.ProductionProcesses;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionProcessesVo;
import com.fjhx.mes.entity.production.dto.ProductionProcessesSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionProcessesDto;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;


/**
 * <p>
 * 工序 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-28
 */
public interface ProductionProcessesService extends BaseService<ProductionProcesses> {

    /**
     * 工序分页
     */
    Page<ProductionProcessesVo> getPage(ProductionProcessesSelectDto dto);

    /**
     * 工序明细
     */
    ProductionProcessesVo detail(Long id);

    /**
     * 工序新增
     */
    void add(ProductionProcessesDto productionProcessesDto);

    /**
     * 工序编辑
     */
    void edit(ProductionProcessesDto productionProcessesDto);

    /**
     * 工序删除
     */
    void delete(Long id);

}
