package com.fjhx.mes.service.production;

import com.fjhx.mes.entity.production.po.ProductionReportingDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionReportingDetailVo;
import com.fjhx.mes.entity.production.dto.ProductionReportingDetailSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionReportingDetailDto;


/**
 * <p>
 * 生产报工明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-03-30
 */
public interface ProductionReportingDetailService extends BaseService<ProductionReportingDetail> {

    /**
     * 生产报工明细分页
     */
    Page<ProductionReportingDetailVo> getPage(ProductionReportingDetailSelectDto dto);

    /**
     * 生产报工明细明细
     */
    ProductionReportingDetailVo detail(Long id);

    /**
     * 生产报工明细新增
     */
    void add(ProductionReportingDetailDto productionReportingDetailDto);

    /**
     * 生产报工明细编辑
     */
    void edit(ProductionReportingDetailDto productionReportingDetailDto);

    /**
     * 生产报工明细删除
     */
    void delete(Long id);

}
