package com.fjhx.oa.entity.daily.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 报表评论
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("daily_report_comments")
public class DailyReportComments extends BasePo {

    /**
     * 日报id
     */
    private Long dailyReportId;

    /**
     * 回复评论id
     */
    private Long replyId;

    /**
     * 评论内容
     */
    private String text;

    /**
     * 评论评价
     */
    private Integer star;

}
