package com.fjhx.oa.entity.internal.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 内部通讯录
 * </p>
 *
 * @author 
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("internal_address_book")
public class InternalAddressBook extends BasePo {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 联系类型（字典contact_information）
     */
    private String type;

    /**
     * 联系号码
     */
    private String contactNumber;

}
