package com.fjhx.oa.entity.schedule.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 日程信息表列表查询入参实体
 *
 * @author
 * @since 2023-04-03
 */
@Getter
@Setter
public class ScheduleInfoSelectDto extends BaseSelectDto {

    /**
     * 按月份过滤
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date date;

    /**
     * 创建用户过滤
     */
    private String createUser;
    /**
     * 参与人id
     */
    private Long participantId;

    /**
     * 按月份过滤 开始日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startDate;

    /**
     * 按月份过滤 结束日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date endDate;

}
