package com.fjhx.oa.mapper.daily;

import com.fjhx.oa.entity.daily.po.DailyReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.daily.vo.DailyReportVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 日报 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-04
 */
public interface DailyReportMapper extends BaseMapper<DailyReport> {

    /**
     * 日报分页
     */
    Page<DailyReportVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DailyReport> wrapper);

    DailyReportVo detail(Long id);
}
