package com.fjhx.oa.mapper.schedule;

import com.fjhx.oa.entity.schedule.po.ScheduleInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.schedule.vo.ScheduleInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 日程信息表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-03
 */
public interface ScheduleInfoMapper extends BaseMapper<ScheduleInfo> {

    /**
     * 日程信息表分页
     */
    Page<ScheduleInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ScheduleInfo> wrapper);

    List<ScheduleInfoVo> mySchedule(@Param("ew") IWrapper<ScheduleInfo> wrapper);

}
