package com.fjhx.oa.mapper.work;

import com.fjhx.oa.entity.work.po.WorkTasks;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.work.vo.WorkTasksVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 工作任务 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-07
 */
public interface WorkTasksMapper extends BaseMapper<WorkTasks> {

    /**
     * 工作任务分页
     */
    Page<WorkTasksVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<WorkTasks> wrapper);

}
