package com.fjhx.purchase.controller.purchase;

import com.fjhx.purchase.entity.purchase.po.PurchaseOtherFee;
import com.fjhx.purchase.service.purchase.PurchaseOtherFeeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 采购其他费用 前端控制器
 * </p>
 *
 * @author
 * @since 2023-06-09
 */
@RestController
@RequestMapping("/purchaseOtherFee")
public class PurchaseOtherFeeController {

    @Autowired
    private PurchaseOtherFeeService purchaseOtherFeeService;

    /**
     * 获取采购其他费用已有列表
     */
    @GetMapping("/listName")
    List<PurchaseOtherFee> listName() {
        return purchaseOtherFeeService.listName();
    }

}
