package com.fjhx.purchase.entity.arrival.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * <p>
 * 到货
 * </p>
 *
 * @author
 * @since 2023-04-07
 */
@Getter
@Setter
@TableName("arrival")
public class Arrival extends BasePo {

    /**
     * 采购编码
     */
    private String code;

    /**
     * 供应商ID
     */
    private Long supplyId;

    /**
     * 采购单ID
     */
    private Long purchaseId;

    /**
     * 状态 备用字段
     */
    private Integer status;

    /**
     * 到货明细列表
     */
    @TableField(exist = false)
    private List<ArrivalDetail> arrivalDetailList;

    /**
     * 到货状态
     */
    @TableField(exist = false)
    private Integer arrivalStatus;

    /**
     * 维多利亚扩展
     */
    private String victoriatouristJson;
}
