package com.fjhx.purchase.entity.invoice.vo;

import com.fjhx.purchase.entity.invoice.po.InvoiceDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 发票明细列表查询返回值实体
 *
 * @author 
 * @since 2023-04-12
 */
@Getter
@Setter
public class InvoiceDetailsVo extends InvoiceDetails {

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 供应商ID
     */
    private Long supplyId;

    /**
     * 发票类型
     */
    private Integer invoiceType;

    /**
     * 总发票金额
     */
    private BigDecimal sumMoney;

    /**
     * 采购编码
     */
    private String purchaseCode;

    /**
     * 采购总金额
     */
    private BigDecimal purchaseAmount;
}
