package com.fjhx.purchase.entity.refund.dto;

import com.fjhx.purchase.entity.refund.po.Refund;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 退款管理新增编辑入参实体
 *
 * @author 
 * @since 2023-04-13
 */
@Getter
@Setter
public class RefundDto extends Refund {

    /**
     * 到款账户ID
     */
    private Long receiptAccountManagementId;

    /**
     * 到款金额
     */
    private BigDecimal receiptAmount;

    /**
     * 对方户名
     */
    private String receiptName;

    /**
     * 对方开户银行
     */
    private String receiptOpeningBank;

    /**
     * 对方银行账号
     */
    private String receiptAccountOpening;
}
