package com.fjhx.purchase.entity.subscribe.vo;

import com.fjhx.purchase.entity.subscribe.po.SubscribeDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 申购单列表查询返回值实体
 *
 * @author
 * @since 2023-04-03
 */
@Getter
@Setter
public class SubscribeDetailVo extends SubscribeDetail {

    /**
     * 申购单号
     */
    private String subscribeCode;

    /**
     * 申购事由
     */
    private String subscribeContent;

    /**
     * 申购时间
     */
    private String subcribeTime;

    /**
     * 申购人
     */
    private String subcribeName;

    /**
     * 申购单ID
     */
    private Long subcribeId;

    /**
     * 采购数量
     */
    private BigDecimal purchaseCount;

    /**
     * 维多利亚扩展json
     */
    private String victoriatouristJson;

    /**
     * 要求到货时间
     */
    private Date requiredArrivalTime;

    /**
     * 收货仓库ID
     */
    private Long putWarehouseId;

    /**
     * 产品类型定义
     */
    private Integer productDefinition;

    /**
     * 产品自定义编码
     */
    private String productCustomCode;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 产品类型
     */
    private String productType;

    /**
     * 个数
     */
    private Integer counts;

    /**
     * 货品种类个数
     */
    private Integer typeCount;

    /**
     * 产品类型
     */
    private String type;

    /**
     * 归属公司id
     */
    private Long corporationId;

    /**
     * 归属公司名称
     */
    private String corporationName;

}
