package com.fjhx.purchase.mapper.arrival;

import com.fjhx.purchase.entity.arrival.po.Arrival;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.arrival.vo.ArrivalVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 到货 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-07
 */
public interface ArrivalMapper extends BaseMapper<Arrival> {

    /**
     * 到货分页
     */
    Page<ArrivalVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Arrival> wrapper);

    /**
     * 根据发货id获取本次发货的到货信息 维多利亚
     */
    ArrivalVo arrivalInfo(@Param("deliverGoodsId") Long deliverGoodsId);
}
