package com.fjhx.purchase.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.purchase.dto.PurchasePayRecordDetailSelectDto;
import com.fjhx.purchase.entity.purchase.po.PurchasePayRecordDetail;
import com.fjhx.purchase.entity.purchase.vo.PurchasePayRecordDetailVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 采购付款记录 服务类
 * </p>
 *
 * @author
 * @since 2023-05-23
 */
public interface PurchasePayRecordDetailService extends BaseService<PurchasePayRecordDetail> {

    /**
     * 采购付款记录分页
     */
    Page<PurchasePayRecordDetailVo> getPage(PurchasePayRecordDetailSelectDto dto);

    /**
     * 清空付款记录
     */
    void empty(PurchasePayRecordDetailSelectDto dto);
}
