package com.fjhx.sale.controller.serviceContract;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.serviceContract.vo.ServiceContractPayVo;
import com.fjhx.sale.entity.serviceContract.dto.ServiceContractPaySelectDto;
import com.fjhx.sale.service.serviceContract.ServiceContractPayService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 服务合同 -收费项目表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
@RestController
@RequestMapping("/serviceContractPay")
public class ServiceContractPayController {

    @Autowired
    private ServiceContractPayService serviceContractPayService;

    /**
     * 服务合同 -收费项目表分页
     */
    @PostMapping("/page")
    public Page<ServiceContractPayVo> page(@RequestBody ServiceContractPaySelectDto dto) {
        return serviceContractPayService.getPage(dto);
    }

}
