package com.fjhx.sale.entity.contract.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 外销合同-产品-跟进记录
 * </p>
 *
 * @author
 * @since 2023-06-14
 */
@Getter
@Setter
@TableName("contract_product_follow_up")
public class ContractProductFollowUp extends BasePo {

    /**
     * 合同产品id
     */
    private Long contractProductId;

    /**
     * 跟进结果 0处理中 1已处理
     */
    private Integer resultType;

    /**
     * 跟进时间
     */
    private Date followUpTime;

    /**
     * 跟进记录
     */
    private String remark;

}
