package com.fjhx.sale.entity.purchase.dto;

import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.sale.entity.purchase.po.EhsdPurchase;
import lombok.Getter;
import lombok.Setter;

/**
 * ehsd采购表新增编辑入参实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class EhsdPurchaseDto extends EhsdPurchase implements SetCustomizeAreaId {


    /**
     * 省 州ID
     */
    private Long provinceId;

    /**
     * 省州名称
     */
    private String provinceName;


    /**
     * 城市ID
     */
    private Long cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 国家ID
     */
    private Long countryId;
}
