package com.fjhx.sale.entity.quality.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检--商品包装
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
@Getter
@Setter
@TableName("ehsd_quality_product")
public class EhsdQualityProduct extends BasePo {

    /**
     * 质检单ID
     */
    private Long qualityId;

    /**
     * 合同/样品单编码
     */
    private String contractCode;

    /**
     * 商品
     */
    private String item;

    /**
     * 订购数量
     */
    private BigDecimal orderQty;

    /**
     * 纸箱数量
     */
    private BigDecimal cartonQty;

    /**
     * 订购纸箱
     */
    private BigDecimal orderCartons;

    /**
     * 包装数量
     */
    private BigDecimal packed;

    /**
     * 未包装数量
     */
    private BigDecimal unpacked;

    /**
     * 样品包装数量
     */
    private BigDecimal samplePacked;

    /**
     * 样品未包装数量
     */
    private BigDecimal sampleUnpacked;

    /**
     * 问题备注
     */
    private String remark;

}
