package com.fjhx.sale.entity.quality.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检--产品规格
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
@Getter
@Setter
@TableName("ehsd_quality_product_color")
public class EhsdQualityProductColor extends BasePo {

    /**
     * 质检单ID
     */
    private Long qualityId;
    /**
     * 产品表ID
     */
    private Long productId;

    /**
     * 产品尺寸型号
     */
    private String productModel;

    /**
     * 参考样本
     */
    private String refSample;

    /**
     * 参考样本1
     */
    private String refSampleOne;

    /**
     * 参考样本2
     */
    private String refSampleTwo;

    /**
     * 参考样本3
     */
    private String refSampleThree;

    /**
     * 问题备注
     */
    private String remark;

}
