package com.fjhx.sale.entity.quality.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检--现场测试表
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
@Getter
@Setter
@TableName("ehsd_quality_site_test")
public class EhsdQualitySiteTest extends BasePo {

    /**
     * 质检单ID
     */
    private Long qualityId;
    /**
     * 描述
     */
    private String description;

    /**
     * 样品大小
     */
    private BigDecimal sampleSize;

    /**
     * 通过
     */
    private String passed;

    /**
     * 失败
     */
    private String failed;

    /**
     * 问题备注
     */
    private String remark;

    /**
     * 通过 0：
     */
    private String result;

}
