package com.fjhx.sale.entity.quality.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检工序表
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
@Getter
@Setter
@TableName("ehsd_quality_workship")
public class EhsdQualityWorkship extends BasePo {

    /**
     * 质检单ID
     */
    private Long qualityId;

    /**
     * 描述
     */
    private String description;

    /**
     * 问题备注
     */
    private String remark;

    /**
     * 最重要
     */
    private String critical;

    /**
     * 主要
     */
    private String major;

    /**
     * 小
     */
    private String minor;

}
