package com.fjhx.sale.entity.quotation.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 报价 -收费项目表
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
@TableName("quotation_pay")
public class QuotationPay extends BasePo {

    /**
     * 收费项目
     */
    private String payName;

    /**
     * 金额
     */
    private BigDecimal amount;


    /**
     * 付款条件
     */
    private String remark;

    /**
     * 报价表ID
     */
    private Long saleQuotationId;

}
