package com.fjhx.sale.entity.serviceContract.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 服务合同 -收费项目表
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("service_contract_pay")
public class ServiceContractPay extends BasePo {

    /**
     * 服务合同表ID
     */
    private Long serviceContractId;

    /**
     * 收费项目

     */
    private String payName;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String remark;

}
