package com.fjhx.sale.entity.serviceContract.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 服务合同记录表
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("service_contract_record")
public class ServiceContractRecord extends BasePo {

    /**
     * 服务合同表ID
     */
    private Long serviceContractId;

    /**
     * 服务人员ID
     */
    private Long userId;

    /**
     * 服务时间
     */
    private Date serviceTime;

    /**
     * 服务状态（10服务中。20 已完结）
     */
    private String status;

    /**
     * 服务记录
     */
    private String remark;

}
