package com.fjhx.sale.entity.serviceContract.vo;

import com.fjhx.sale.entity.serviceContract.po.ServiceContract;
import com.fjhx.sale.entity.serviceContract.po.ServiceContractPay;
import com.fjhx.sale.entity.serviceContract.po.ServiceContractProduct;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 服务合同表列表查询返回值实体
 *
 * @author
 * @since 2023-04-18
 */
@Getter
@Setter
public class ServiceContractVo extends ServiceContract {

    /**
     * 服务状态。10:服务中  20 已完结
     */
    private String ServiceStatus;

    /**
     * 到账金额
     */
    private BigDecimal claimAmount;


    /**
     * 业务员名称
     */
    private String userName;

    /**
     * 服务合同-收费项目表
     */
    private List<ServiceContractPay> serviceContractPayList;

    /**
     * 服务合同-商品表
     */
    private List<ServiceContractProduct> serviceContractProductList;
}
