package com.fjhx.sale.mapper.contract;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.sale.entity.contract.po.ContractProductFollowUp;
import com.fjhx.sale.entity.contract.vo.ContractProductFollowUpVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 外销合同-产品-跟进记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-14
 */
public interface ContractProductFollowUpMapper extends BaseMapper<ContractProductFollowUp> {

    /**
     * 外销合同-产品-跟进记录列表
     */
    List<ContractProductFollowUpVo> getList(@Param("ew") IWrapper<ContractProductFollowUp> wrapper);

}
