package com.fjhx.sale.mapper.contract;

import com.fjhx.sale.entity.contract.po.ContractShipment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractShipmentVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 外销合同-出货计划 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface ContractShipmentMapper extends BaseMapper<ContractShipment> {

    /**
     * 外销合同-出货计划分页
     */
    Page<ContractShipmentVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ContractShipment> wrapper);

}
