package com.fjhx.sale.mapper.documents;

import com.fjhx.sale.entity.documents.po.DocumentsTransport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.documents.vo.DocumentsTransportVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 单证-货运表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-20
 */
public interface DocumentsTransportMapper extends BaseMapper<DocumentsTransport> {

    /**
     * 单证-货运表分页
     */
    Page<DocumentsTransportVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DocumentsTransport> wrapper);

}
