package com.fjhx.sale.mapper.pack;

import com.fjhx.sale.entity.pack.po.PackDetailProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackDetailProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 装箱出货产品明细表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackDetailProductMapper extends BaseMapper<PackDetailProduct> {

    /**
     * 装箱出货产品明细表分页
     */
    Page<PackDetailProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PackDetailProduct> wrapper);

}
