package com.fjhx.sale.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.po.EhsdPurchaseArrival;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseArrivalVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 采购合同-到货计划 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseArrivalMapper extends BaseMapper<EhsdPurchaseArrival> {

    /**
     * 采购合同-到货计划分页
     */
    Page<EhsdPurchaseArrivalVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdPurchaseArrival> wrapper);

}
