package com.fjhx.sale.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.po.EhsdPurchase;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * ehsd采购表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseMapper extends BaseMapper<EhsdPurchase> {

    /**
     * ehsd采购表分页
     */
    Page<EhsdPurchaseVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdPurchase> wrapper);

}
