package com.fjhx.sale.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.po.EhsdPurchaseProductMountings;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseProductMountingsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * ehsd采购产品配件表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseProductMountingsMapper extends BaseMapper<EhsdPurchaseProductMountings> {

    /**
     * ehsd采购产品配件表分页
     */
    Page<EhsdPurchaseProductMountingsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdPurchaseProductMountings> wrapper);

}
