package com.fjhx.sale.mapper.quality;

import com.fjhx.sale.entity.quality.po.EhsdQuality;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 质检基础信息表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityMapper extends BaseMapper<EhsdQuality> {

    /**
     * 质检基础信息表分页
     */
    Page<EhsdQualityVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdQuality> wrapper);

}
