package com.fjhx.sale.mapper.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 质检--商品包装 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityProductMapper extends BaseMapper<EhsdQualityProduct> {

    /**
     * 质检--商品包装分页
     */
    Page<EhsdQualityProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdQualityProduct> wrapper);

}
