package com.fjhx.sale.mapper.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityWorkship;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityWorkshipVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 质检问题表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityWorkshipMapper extends BaseMapper<EhsdQualityWorkship> {

    /**
     * 质检问题表分页
     */
    Page<EhsdQualityWorkshipVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<EhsdQualityWorkship> wrapper);

}
