package com.fjhx.sale.mapper.quotation;

import com.fjhx.sale.entity.quotation.po.QuotationProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quotation.vo.QuotationProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 商品-报价单关联表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
public interface QuotationProductMapper extends BaseMapper<QuotationProduct> {

    /**
     * 商品-报价单关联表分页
     */
    Page<QuotationProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<QuotationProduct> wrapper);

}
