package com.fjhx.sale.mapper.sample;

import com.fjhx.sale.entity.sample.po.SampleProduct;
import com.fjhx.sale.entity.sample.vo.SampleProductVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 样品单-产品 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface SampleProductMapper extends BaseMapper<SampleProduct> {

    /**
     * 样品单-产品分页
     */
    Page<SampleProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SampleProduct> wrapper);

}
