package com.fjhx.sale.mapper.sample;

import com.fjhx.sale.entity.sample.po.SampleProject;
import com.fjhx.sale.entity.sample.vo.SampleProjectVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 样品单-收费项目 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface SampleProjectMapper extends BaseMapper<SampleProject> {

    /**
     * 样品单-收费项目分页
     */
    Page<SampleProjectVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SampleProject> wrapper);

}
