package com.fjhx.sale.mapper.sample;

import com.fjhx.sale.entity.sample.po.SampleShipment;
import com.fjhx.sale.entity.sample.vo.SampleShipmentVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 样品单-出货计划 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface SampleShipmentMapper extends BaseMapper<SampleShipment> {

    /**
     * 样品单-出货计划分页
     */
    Page<SampleShipmentVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SampleShipment> wrapper);

}
