package com.fjhx.sale.mapper.serviceContract;

import com.fjhx.sale.entity.serviceContract.po.ServiceContractProduct;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.serviceContract.vo.ServiceContractProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 服务合同-报价单关联表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface ServiceContractProductMapper extends BaseMapper<ServiceContractProduct> {

    /**
     * 服务合同-报价单关联表分页
     */
    Page<ServiceContractProductVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ServiceContractProduct> wrapper);

}
