package com.fjhx.sale.service.claim;

import com.fjhx.sale.entity.claim.po.ClaimContract;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.claim.vo.ClaimContractVo;
import com.fjhx.sale.entity.claim.dto.ClaimContractSelectDto;
import com.fjhx.sale.entity.claim.dto.ClaimContractDto;


/**
 * <p>
 * 到账认领-合同关联表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface ClaimContractService extends BaseService<ClaimContract> {

    /**
     * 到账认领-合同关联表分页
     */
    Page<ClaimContractVo> getPage(ClaimContractSelectDto dto);

    /**
     * 到账认领-合同关联表明细
     */
    ClaimContractVo detail(Long id);

    /**
     * 到账认领-合同关联表新增
     */
    void add(ClaimContractDto claimContractDto);

    /**
     * 到账认领-合同关联表编辑
     */
    void edit(ClaimContractDto claimContractDto);

    /**
     * 到账认领-合同关联表删除
     */
    void delete(Long id);

}
