package com.fjhx.sale.service.commission;

import com.fjhx.sale.entity.commission.po.Commission;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.commission.vo.CommissionVo;
import com.fjhx.sale.entity.commission.dto.CommissionSelectDto;
import com.fjhx.sale.entity.commission.dto.CommissionDto;


/**
 * <p>
 * 业绩提成表 服务类
 * </p>
 *
 * @author
 * @since 2023-05-11
 */
public interface CommissionService extends BaseService<Commission> {

    /**
     * 业绩提成表分页
     */
    Page<CommissionVo> getPage(CommissionSelectDto dto);

    /**
     * 结算功能(添加业务提成表与业务提成规则表)
     */
    void settlement(CommissionDto commissionDto);
}
