package com.fjhx.sale.service.contract;

import com.fjhx.sale.entity.contract.dto.ContractProductFollowUpDto;
import com.fjhx.sale.entity.contract.dto.ContractProductFollowUpSelectDto;
import com.fjhx.sale.entity.contract.po.ContractProductFollowUp;
import com.fjhx.sale.entity.contract.vo.ContractProductFollowUpVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 外销合同-产品-跟进记录 服务类
 * </p>
 *
 * @author
 * @since 2023-06-14
 */
public interface ContractProductFollowUpService extends BaseService<ContractProductFollowUp> {

    /**
     * 外销合同-产品-跟进记录列表
     */
    List<ContractProductFollowUpVo> getList(ContractProductFollowUpSelectDto dto);

    /**
     * 外销合同-产品-跟进记录新增
     */
    void add(ContractProductFollowUpDto contractProductFollowUpDto);

}
