package com.fjhx.sale.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.dto.EhsdPurchaseProductMountingsDto;
import com.fjhx.sale.entity.purchase.dto.EhsdPurchaseProductMountingsSelectDto;
import com.fjhx.sale.entity.purchase.po.EhsdPurchaseProductMountings;
import com.fjhx.sale.entity.purchase.vo.EhsdPurchaseProductMountingsVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * ehsd采购产品配件表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
public interface EhsdPurchaseProductMountingsService extends BaseService<EhsdPurchaseProductMountings> {

    /**
     * ehsd采购产品配件表分页
     */
    Page<EhsdPurchaseProductMountingsVo> getPage(EhsdPurchaseProductMountingsSelectDto dto);

    /**
     * ehsd采购产品配件表明细
     */
    EhsdPurchaseProductMountingsVo detail(Long id);

    /**
     * ehsd采购产品配件表新增
     */
    void add(EhsdPurchaseProductMountingsDto ehsdPurchaseProductMountingsDto);

    /**
     * ehsd采购产品配件表编辑
     */
    void edit(EhsdPurchaseProductMountingsDto ehsdPurchaseProductMountingsDto);

    /**
     * ehsd采购产品配件表删除
     */
    void delete(Long id);

}
