package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityMarkingDetail;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityMarkingDetailVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualityMarkingDetailSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityMarkingDetailDto;


/**
 * <p>
 * 质检打标明细表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-25
 */
public interface EhsdQualityMarkingDetailService extends BaseService<EhsdQualityMarkingDetail> {

    /**
     * 质检打标明细表分页
     */
    Page<EhsdQualityMarkingDetailVo> getPage(EhsdQualityMarkingDetailSelectDto dto);

    /**
     * 质检打标明细表明细
     */
    EhsdQualityMarkingDetailVo detail(Long id);

    /**
     * 质检打标明细表新增
     */
    void add(EhsdQualityMarkingDetailDto ehsdQualityMarkingDetailDto);

    /**
     * 质检打标明细表编辑
     */
    void edit(EhsdQualityMarkingDetailDto ehsdQualityMarkingDetailDto);

    /**
     * 质检打标明细表删除
     */
    void delete(Long id);

}
