package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityProduct;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityProductVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualityProductSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityProductDto;


/**
 * <p>
 * 质检--商品包装 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityProductService extends BaseService<EhsdQualityProduct> {

    /**
     * 质检--商品包装分页
     */
    Page<EhsdQualityProductVo> getPage(EhsdQualityProductSelectDto dto);

    /**
     * 质检--商品包装明细
     */
    EhsdQualityProductVo detail(Long id);

    /**
     * 质检--商品包装新增
     */
    void add(EhsdQualityProductDto ehsdQualityProductDto);

    /**
     * 质检--商品包装编辑
     */
    void edit(EhsdQualityProductDto ehsdQualityProductDto);

    /**
     * 质检--商品包装删除
     */
    void delete(Long id);

}
