package com.fjhx.sale.service.quality;

import com.fjhx.sale.entity.quality.po.EhsdQualityWorkship;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quality.vo.EhsdQualityWorkshipVo;
import com.fjhx.sale.entity.quality.dto.EhsdQualityWorkshipSelectDto;
import com.fjhx.sale.entity.quality.dto.EhsdQualityWorkshipDto;


/**
 * <p>
 * 质检问题表 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-22
 */
public interface EhsdQualityWorkshipService extends BaseService<EhsdQualityWorkship> {

    /**
     * 质检问题表分页
     */
    Page<EhsdQualityWorkshipVo> getPage(EhsdQualityWorkshipSelectDto dto);

    /**
     * 质检问题表明细
     */
    EhsdQualityWorkshipVo detail(Long id);

    /**
     * 质检问题表新增
     */
    void add(EhsdQualityWorkshipDto ehsdQualityWorkshipDto);

    /**
     * 质检问题表编辑
     */
    void edit(EhsdQualityWorkshipDto ehsdQualityWorkshipDto);

    /**
     * 质检问题表删除
     */
    void delete(Long id);

}
