package com.fjhx.supply.entity.supplier.dto;

import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.file.entity.ObsFile;
import com.fjhx.supply.entity.supplier.po.SupplierInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 供应商新增编辑入参实体
 *
 * @author
 * @since 2023-03-17
 */
@Getter
@Setter
public class SupplierInfoDto extends SupplierInfo implements SetCustomizeAreaId {

    /**
     * 文件列表
     */
    List<ObsFile> fileList;

    private String countryName;

    private String provinceName;

    private String cityName;


}
