package com.fjhx.victoriatourist.controller.abnormal;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.abnormal.vo.AbnormalInfoVo;
import com.fjhx.victoriatourist.entity.abnormal.dto.AbnormalInfoSelectDto;
import com.fjhx.victoriatourist.service.abnormal.AbnormalInfoService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 异常记录 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-04-11
 */
@RestController
@RequestMapping("/abnormalInfo")
public class AbnormalInfoController {

    @Autowired
    private AbnormalInfoService abnormalInfoService;

    /**
     * 异常记录分页
     */
    @PostMapping("/page")
    public Page<AbnormalInfoVo> page(@RequestBody AbnormalInfoSelectDto dto) {
        return abnormalInfoService.getPage(dto);
    }

}
