package com.fjhx.victoriatourist.entity.jd.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 京东退货
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("jd_back")
public class JdBack extends BasePo {

    /**
     * 来源类型 1手动创建 2批量导入
     */
    private Integer type;

    /**
     * 退货状态 1新建 2运输中 3待质检
     */
    private Integer status;

    /**
     * 运单号
     */
    private String waybill;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 批次标记
     */
    private Long batchFlag;

}
