package com.fjhx.victoriatourist.entity.jd.vo;

import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.area.service.SetCustomizeAreaName;
import com.fjhx.victoriatourist.entity.jd.po.JdOrder;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 京东订单列表查询返回值实体
 *
 * @author
 * @since 2023-04-20
 */
@Getter
@Setter
public class JdOrderVo extends JdOrder implements SetCustomizeAreaName {

    private String countryName;

    private String provinceName;

    private String cityName;

    /**
     * 客户名称
     */
    private String customerName;

    /**
     * 京东订单明细
     */
    private List<JdOrderDetailsVo> jdOrderDetailsList;

    /**
     * 调仓id
     */
    private Long stockTransferId;
    /**
     * 接收状态
     */
    private Integer inStatus;
    /**
     * 接收人id
     */
    private Long inUserId;
    /**
     * 接收人名字
     */
    private String inUserName;
    /**
     * 接收时间
     */
    private Date inTime;


}
