package com.fjhx.victoriatourist.entity.order.dto;

import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.victoriatourist.entity.order.po.OrderDetails;
import com.fjhx.victoriatourist.entity.order.po.OrderInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 订单新增编辑入参实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class OrderInfoDto extends OrderInfo implements SetCustomizeAreaId {

    /**
     * 订单明细
     */
    private List<OrderDetails> orderDetailsList;

    /**
     * 省/州名称
     */
    private String provinceName;

    /**
     * 市名称
     */
    private String cityName;


}
