package com.fjhx.victoriatourist.entity.quality.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 质检明细
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
@Getter
@Setter
@TableName("quality_details")
public class QualityDetails extends BasePo {

    /**
     * 质检id
     */
    private Long qualityInfoId;

    /**
     * 产品id
     */
    private Long productInfoId;

    /**
     * 需要质检数量
     */
    private BigDecimal totalQuantity;

    /**
     * 合格数量
     */
    private BigDecimal qualifiedQuantity;

    /**
     * 不合格数量
     */
    private BigDecimal disqualificationQuantity;

    /**
     * 到货入库明细id
     */
    private Long arrivalStockRecordsDetailsId;

}
