package com.fjhx.victoriatourist.entity.sales.bo;


import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class ExcelImportBo {

    @ExcelProperty("SKU")
    private String productCode;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty("时间")
    private Date dateSale;

    @ExcelProperty("全国昨日出库商品件数")
    private BigDecimal quantity;

}
