package com.fjhx.victoriatourist.entity.sales.po;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 销售数据
 * </p>
 *
 * @author
 * @since 2023-04-19
 */
@Getter
@Setter
@TableName("sales_record")
public class SalesRecord extends BasePo {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 销售日期
     */
    private Date dateSale;

    /**
     * 销售数量
     */
    private BigDecimal quantity;

    /**
     * 仓库id
     */
    private Long warehouseId;

}
