package com.fjhx.victoriatourist.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 调仓明细
 * </p>
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
@TableName("stock_transfer_details")
public class StockTransferDetails extends BasePo {

    /**
     * 调仓id
     */
    private Long stockTransferId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 调出数量
     */
    private BigDecimal outQuantity;

    /**
     * 调入数量
     */
    private BigDecimal inQuantity;

    /**
     * 业务明细id
     */
    private Long businessDetailsId;

}
