package com.fjhx.victoriatourist.mapper.deliver;

import com.fjhx.victoriatourist.entity.deliver.po.DeliverGoodsDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.deliver.vo.DeliverGoodsDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 发货明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface DeliverGoodsDetailsMapper extends BaseMapper<DeliverGoodsDetails> {

    /**
     * 发货明细分页
     */
    Page<DeliverGoodsDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<DeliverGoodsDetails> wrapper);

}
