package com.fjhx.victoriatourist.mapper.group;

import com.fjhx.victoriatourist.entity.group.po.GroupRecordDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.group.vo.GroupRecordDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 组合记录明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface GroupRecordDetailsMapper extends BaseMapper<GroupRecordDetails> {

    /**
     * 组合记录明细分页
     */
    Page<GroupRecordDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<GroupRecordDetails> wrapper);

}
