package com.fjhx.victoriatourist.mapper.group;

import com.fjhx.victoriatourist.entity.group.po.GroupRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.group.vo.GroupRecordVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 组合记录 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface GroupRecordMapper extends BaseMapper<GroupRecord> {

    /**
     * 组合记录分页
     */
    Page<GroupRecordVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<GroupRecord> wrapper);

}
