package com.fjhx.victoriatourist.mapper.jd;

import com.fjhx.victoriatourist.entity.jd.po.JdBackQualityDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackQualityDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 京东退货质检明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface JdBackQualityDetailsMapper extends BaseMapper<JdBackQualityDetails> {

    /**
     * 京东退货质检明细分页
     */
    Page<JdBackQualityDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JdBackQualityDetails> wrapper);

}
