package com.fjhx.victoriatourist.mapper.logistics;

import com.fjhx.victoriatourist.entity.logistics.po.LogisticsDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.logistics.vo.LogisticsDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 物流明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface LogisticsDetailsMapper extends BaseMapper<LogisticsDetails> {

    /**
     * 物流明细分页
     */
    Page<LogisticsDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<LogisticsDetails> wrapper);

}
