package com.fjhx.victoriatourist.mapper.order;

import com.fjhx.victoriatourist.entity.order.po.OrderDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.order.vo.OrderDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface OrderDetailsMapper extends BaseMapper<OrderDetails> {

    /**
     * 订单明细分页
     */
    Page<OrderDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderDetails> wrapper);

}
