package com.fjhx.victoriatourist.mapper.order;

import com.fjhx.victoriatourist.entity.order.po.OrderInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.order.vo.OrderInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface OrderInfoMapper extends BaseMapper<OrderInfo> {

    /**
     * 订单分页
     */
    Page<OrderInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderInfo> wrapper);

}
