package com.fjhx.victoriatourist.mapper.purchase;

import com.fjhx.victoriatourist.entity.purchase.po.PurchaseBack;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.purchase.vo.PurchaseBackVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 采购退货 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-19
 */
public interface PurchaseBackMapper extends BaseMapper<PurchaseBack> {

    /**
     * 采购退货分页
     */
    Page<PurchaseBackVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PurchaseBack> wrapper);

}
