package com.fjhx.victoriatourist.mapper.sales;

import com.fjhx.victoriatourist.entity.sales.po.SalesRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.sales.vo.SalesRecordVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 销售数据 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-19
 */
public interface SalesRecordMapper extends BaseMapper<SalesRecord> {

    /**
     * 销售数据分页
     */
    Page<SalesRecordVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SalesRecord> wrapper);

}
