package com.fjhx.victoriatourist.mapper.stock;

import com.fjhx.victoriatourist.entity.stock.po.StockTransferDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.stock.vo.StockTransferDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 调仓明细 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface StockTransferDetailsMapper extends BaseMapper<StockTransferDetails> {

    /**
     * 调仓明细分页
     */
    Page<StockTransferDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockTransferDetails> wrapper);

}
