package com.fjhx.victoriatourist.mapper.stock;

import com.fjhx.victoriatourist.entity.stock.po.StockTransfer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.stock.vo.StockTransferVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 调仓记录 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface StockTransferMapper extends BaseMapper<StockTransfer> {

    /**
     * 调仓记录分页
     */
    Page<StockTransferVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockTransfer> wrapper);

}
