package com.fjhx.victoriatourist.service.deliver;

import com.fjhx.purchase.entity.purchase.vo.PurchaseDetailVo;
import com.fjhx.victoriatourist.entity.deliver.po.DeliverGoodsDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.deliver.vo.DeliverGoodsDetailsVo;
import com.fjhx.victoriatourist.entity.deliver.dto.DeliverGoodsDetailsSelectDto;
import com.fjhx.victoriatourist.entity.deliver.dto.DeliverGoodsDetailsDto;

import java.util.List;


/**
 * <p>
 * 发货明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
public interface DeliverGoodsDetailsService extends BaseService<DeliverGoodsDetails> {

    /**
     * 发货明细分页
     */
    Page<DeliverGoodsDetailsVo> getPage(DeliverGoodsDetailsSelectDto dto);

    /**
     * 发货明细明细
     */
    List<PurchaseDetailVo> detail(Long id);

    /**
     * 发货明细新增
     */
    void add(DeliverGoodsDetailsDto deliverGoodsDetailsDto);

    /**
     * 发货明细编辑
     */
    void edit(DeliverGoodsDetailsDto deliverGoodsDetailsDto);

    /**
     * 发货明细删除
     */
    void delete(Long id);

}
