package com.fjhx.victoriatourist.service.logistics;

import com.fjhx.victoriatourist.entity.logistics.po.LogisticsDetails;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.logistics.vo.LogisticsDetailsVo;
import com.fjhx.victoriatourist.entity.logistics.dto.LogisticsDetailsSelectDto;
import com.fjhx.victoriatourist.entity.logistics.dto.LogisticsDetailsDto;


/**
 * <p>
 * 物流明细 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-17
 */
public interface LogisticsDetailsService extends BaseService<LogisticsDetails> {

    /**
     * 物流明细分页
     */
    Page<LogisticsDetailsVo> getPage(LogisticsDetailsSelectDto dto);

    /**
     * 物流明细明细
     */
    LogisticsDetailsVo detail(Long id);

    /**
     * 物流明细新增
     */
    void add(LogisticsDetailsDto logisticsDetailsDto);

    /**
     * 物流明细编辑
     */
    void edit(LogisticsDetailsDto logisticsDetailsDto);

    /**
     * 物流明细删除
     */
    void delete(Long id);

}
