package com.fjhx.wms.entity.arrival.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 采购到货入库记录 维多利亚
 * </p>
 *
 * @author
 * @since 2023-04-26
 */
@Getter
@Setter
@TableName("arrival_stock_records")
public class ArrivalStockRecords extends BasePo {

    /**
     * 待入库id
     */
    private Long stockWaitId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 质检状态
     */
    private Integer qualityStatus;

    /**
     * 到货单编号
     */
    private String arrivalCode;

}
