package com.fjhx.wms.entity.stock.dto;

import com.fjhx.wms.entity.stock.po.Stock;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 库存新增编辑入参实体
 *
 * @author
 * @since 2023-03-20
 */
@Getter
@Setter
public class StockDto extends Stock {

    /**
     * 目标仓库id
     */
    private Long toWarehouseId;

    /**
     * 添加库存商品列表
     */
    private List<Stock> list;

    /**业务类型*/
    private Integer type;

    /**
     * 业务id
     */
    private Long businessId;
}
