package com.fjhx.wms.entity.stock.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 待出入库列表查询入参实体
 *
 * @author
 * @since 2023-03-22
 */
@Getter
@Setter
public class StockWaitSelectDto extends BaseSelectDto {

    /**
     * 数据类型 1入库 2出库
     */
    private String type;

    /**
     * 入库状态过滤
     */
    private Integer status;

    /**
     * 待出入库业务类型
     */
    private Integer businessType;

}
