package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 库存盘点
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
@Getter
@Setter
@TableName("stock_check")
public class StockCheck extends BasePo {

    /**
     * 仓库id
     */
    @NotNull(message = "仓库id不能为空")
    private Long warehouseId;

    /**
     * 盘点结果 0正常 1异常
     */
    private Integer result;

    /**
     * 盘点编码
     */
    private String code;

    /**
     * 盘点总数
     */
    private Integer totalNum;

    /**
     * 正常数量
     */
    private Integer normalNum;

    /**
     * 异常数量
     */
    private Integer anomalyNum;

}
