package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 库存盘点明细
 * </p>
 *
 * @author 
 * @since 2023-03-22
 */
@Getter
@Setter
@TableName("stock_check_details")
public class StockCheckDetails extends BasePo {

    /**
     * 库存盘点id
     */
    private Long stockCheckId;

    /**
     * 产品id
     */
    @NotNull(message = "产品id不能为空")
    private Long productId;

    /**
     * 库存数量
     */
    @NotNull(message = "库存数量不能为空")
    private Long quantity;

    /**
     * 盘点数量
     */
    @NotNull(message = "盘点数量不能为空")
    private Long checkQuantity;

}
