package com.fjhx.wms.service.arrival;

import com.fjhx.wms.entity.arrival.po.ArrivalStockRecords;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.arrival.vo.ArrivalStockRecordsVo;
import com.fjhx.wms.entity.arrival.dto.ArrivalStockRecordsSelectDto;
import com.fjhx.wms.entity.arrival.dto.ArrivalStockRecordsDto;


/**
 * <p>
 * 采购到货入库记录 维多利亚 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
public interface ArrivalStockRecordsService extends BaseService<ArrivalStockRecords> {

    /**
     * 采购到货入库记录 维多利亚分页
     */
    Page<ArrivalStockRecordsVo> getPage(ArrivalStockRecordsSelectDto dto);

    /**
     * 采购到货入库记录 维多利亚明细
     */
    ArrivalStockRecordsVo detail(Long id);

    /**
     * 采购到货入库记录 维多利亚新增
     */
    void add(ArrivalStockRecordsDto arrivalStockRecordsDto);

    /**
     * 采购到货入库记录 维多利亚编辑
     */
    void edit(ArrivalStockRecordsDto arrivalStockRecordsDto);

    /**
     * 采购到货入库记录 维多利亚删除
     */
    void delete(Long id);

}
